/* soapKCmdProxy.h
   Generated by gSOAP 2.8.102 for ../provider/include/proto.h

gSOAP XML Web services tools
Copyright (C) 2000-2020, Robert van Engelen, Genivia Inc. All Rights Reserved.
The soapcpp2 tool and its generated software are released under the GPL.
This program is released under the GPL with the additional exemption that
compiling, linking, and/or using OpenSSL is allowed.
--------------------------------------------------------------------------------
A commercial use license is available from Genivia Inc., contact@genivia.com
--------------------------------------------------------------------------------
*/

#ifndef soapKCmdProxy_H
#define soapKCmdProxy_H
#include "soapH.h"

    class SOAP_CMAC KCmdProxy {
      public:
        /// Context to manage proxy IO and data
        struct soap *soap;
        /// flag indicating that this context is owned by this proxy and should be deleted by the destructor
        bool soap_own;
        /// Endpoint URL of service 'KCmdProxy' (change as needed)
        const char *soap_endpoint;
        /// Variables globally declared in ../provider/include/proto.h, if any
        /// Construct a proxy with new managing context
        KCmdProxy();
        /// Copy constructor
        KCmdProxy(const KCmdProxy& rhs);
        /// Construct proxy given a shared managing context
        KCmdProxy(struct soap*);
        /// Construct proxy given a shared managing context and endpoint URL
        KCmdProxy(struct soap*, const char *soap_endpoint_url);
        /// Constructor taking an endpoint URL
        KCmdProxy(const char *soap_endpoint_url);
        /// Constructor taking input and output mode flags for the new managing context
        KCmdProxy(soap_mode iomode);
        /// Constructor taking endpoint URL and input and output mode flags for the new managing context
        KCmdProxy(const char *soap_endpoint_url, soap_mode iomode);
        /// Constructor taking input and output mode flags for the new managing context
        KCmdProxy(soap_mode imode, soap_mode omode);
        /// Destructor deletes deserialized data and its managing context, when the context was allocated by the constructor
        virtual ~KCmdProxy();
        /// Initializer used by constructors
        virtual void KCmdProxy_init(soap_mode imode, soap_mode omode);
        /// Return a copy that has a new managing context with the same engine state
        virtual KCmdProxy *copy();
        /// Copy assignment
        KCmdProxy& operator=(const KCmdProxy&);
        /// Delete all deserialized data (uses soap_destroy() and soap_end())
        virtual void destroy();
        /// Delete all deserialized data and reset to default
        virtual void reset();
        /// Disables and removes SOAP Header from message by setting soap->header = NULL
        virtual void soap_noheader();
        /// Get SOAP Header structure (i.e. soap->header, which is NULL when absent)
        virtual ::SOAP_ENV__Header *soap_header();
        /// Get SOAP Fault structure (i.e. soap->fault, which is NULL when absent)
        virtual ::SOAP_ENV__Fault *soap_fault();
        /// Get SOAP Fault subcode QName string (NULL when absent)
        virtual const char *soap_fault_subcode();
        /// Get SOAP Fault string/reason (NULL when absent)
        virtual const char *soap_fault_string();
        /// Get SOAP Fault detail XML string (NULL when absent)
        virtual const char *soap_fault_detail();
        /// Close connection (normally automatic, except for send_X ops)
        virtual int soap_close_socket();
        /// Force close connection (can kill a thread blocked on IO)
        virtual int soap_force_close_socket();
        /// Print fault
        virtual void soap_print_fault(FILE*);
    #ifndef WITH_LEAN
    #ifndef WITH_COMPAT
        /// Print fault to stream
        virtual void soap_stream_fault(std::ostream&);
    #endif
        /// Write fault to buffer
        virtual char *soap_sprint_fault(char *buf, size_t len);
    #endif
        //
        /// Web service synchronous operation 'logon' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int logon(const char *szUsername, const char *szPassword, const char *szImpersonateUser, const char *szVersion, unsigned int ulCapabilities, unsigned int ulFlags, const struct xsd__base64Binary& sLicenseReq, ULONG64 ullSessionGroup, const char *szClientApp, const char *szClientAppVersion, const char *szClientAppMisc, struct logonResponse *lpsLogonResponse) { return this->logon(NULL, NULL, szUsername, szPassword, szImpersonateUser, szVersion, ulCapabilities, ulFlags, sLicenseReq, ullSessionGroup, szClientApp, szClientAppVersion, szClientAppMisc, lpsLogonResponse); }
        /// Web service synchronous operation 'logon' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int logon(const char *soap_endpoint_url, const char *soap_action, const char *szUsername, const char *szPassword, const char *szImpersonateUser, const char *szVersion, unsigned int ulCapabilities, unsigned int ulFlags, const struct xsd__base64Binary& sLicenseReq, ULONG64 ullSessionGroup, const char *szClientApp, const char *szClientAppVersion, const char *szClientAppMisc, struct logonResponse *lpsLogonResponse) { return this->send_logon(soap_endpoint_url, soap_action, szUsername, szPassword, szImpersonateUser, szVersion, ulCapabilities, ulFlags, sLicenseReq, ullSessionGroup, szClientApp, szClientAppVersion, szClientAppMisc) || this->recv_logon(lpsLogonResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_logon' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_logon(const char *soap_endpoint_url, const char *soap_action, const char *szUsername, const char *szPassword, const char *szImpersonateUser, const char *szVersion, unsigned int ulCapabilities, unsigned int ulFlags, const struct xsd__base64Binary& sLicenseReq, ULONG64 ullSessionGroup, const char *szClientApp, const char *szClientAppVersion, const char *szClientAppMisc);
        /// Web service asynchronous operation 'recv_logon' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_logon(struct logonResponse *lpsLogonResponse);
        //
        /// Web service synchronous operation 'ssoLogon' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int ssoLogon(ULONG64 ulSessionId, const char *szUsername, const char *szImpersonateUser, struct xsd__base64Binary *lpInput, const char *clientVersion, unsigned int clientCaps, const struct xsd__base64Binary& sLicenseReq, ULONG64 ullSessionGroup, const char *szClientApp, const char *szClientAppVersion, const char *szClientAppMisc, struct ssoLogonResponse *lpsResponse) { return this->ssoLogon(NULL, NULL, ulSessionId, szUsername, szImpersonateUser, lpInput, clientVersion, clientCaps, sLicenseReq, ullSessionGroup, szClientApp, szClientAppVersion, szClientAppMisc, lpsResponse); }
        /// Web service synchronous operation 'ssoLogon' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int ssoLogon(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const char *szUsername, const char *szImpersonateUser, struct xsd__base64Binary *lpInput, const char *clientVersion, unsigned int clientCaps, const struct xsd__base64Binary& sLicenseReq, ULONG64 ullSessionGroup, const char *szClientApp, const char *szClientAppVersion, const char *szClientAppMisc, struct ssoLogonResponse *lpsResponse) { return this->send_ssoLogon(soap_endpoint_url, soap_action, ulSessionId, szUsername, szImpersonateUser, lpInput, clientVersion, clientCaps, sLicenseReq, ullSessionGroup, szClientApp, szClientAppVersion, szClientAppMisc) || this->recv_ssoLogon(lpsResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_ssoLogon' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_ssoLogon(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const char *szUsername, const char *szImpersonateUser, struct xsd__base64Binary *lpInput, const char *clientVersion, unsigned int clientCaps, const struct xsd__base64Binary& sLicenseReq, ULONG64 ullSessionGroup, const char *szClientApp, const char *szClientAppVersion, const char *szClientAppMisc);
        /// Web service asynchronous operation 'recv_ssoLogon' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_ssoLogon(struct ssoLogonResponse *lpsResponse);
        //
        /// Web service synchronous operation 'getStore' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int getStore(ULONG64 ulSessionId, struct xsd__base64Binary *lpsEntryId, struct getStoreResponse *lpsResponse) { return this->getStore(NULL, NULL, ulSessionId, lpsEntryId, lpsResponse); }
        /// Web service synchronous operation 'getStore' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int getStore(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, struct xsd__base64Binary *lpsEntryId, struct getStoreResponse *lpsResponse) { return this->send_getStore(soap_endpoint_url, soap_action, ulSessionId, lpsEntryId) || this->recv_getStore(lpsResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_getStore' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_getStore(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, struct xsd__base64Binary *lpsEntryId);
        /// Web service asynchronous operation 'recv_getStore' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_getStore(struct getStoreResponse *lpsResponse);
        //
        /// Web service synchronous operation 'getStoreName' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int getStoreName(ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, struct getStoreNameResponse *lpsResponse) { return this->getStoreName(NULL, NULL, ulSessionId, sEntryId, lpsResponse); }
        /// Web service synchronous operation 'getStoreName' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int getStoreName(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, struct getStoreNameResponse *lpsResponse) { return this->send_getStoreName(soap_endpoint_url, soap_action, ulSessionId, sEntryId) || this->recv_getStoreName(lpsResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_getStoreName' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_getStoreName(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId);
        /// Web service asynchronous operation 'recv_getStoreName' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_getStoreName(struct getStoreNameResponse *lpsResponse);
        //
        /// Web service synchronous operation 'getStoreType' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int getStoreType(ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, struct getStoreTypeResponse *lpsResponse) { return this->getStoreType(NULL, NULL, ulSessionId, sEntryId, lpsResponse); }
        /// Web service synchronous operation 'getStoreType' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int getStoreType(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, struct getStoreTypeResponse *lpsResponse) { return this->send_getStoreType(soap_endpoint_url, soap_action, ulSessionId, sEntryId) || this->recv_getStoreType(lpsResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_getStoreType' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_getStoreType(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId);
        /// Web service asynchronous operation 'recv_getStoreType' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_getStoreType(struct getStoreTypeResponse *lpsResponse);
        //
        /// Web service synchronous operation 'getPublicStore' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int getPublicStore(ULONG64 ulSessionId, unsigned int ulFlags, struct getStoreResponse *lpsResponse) { return this->getPublicStore(NULL, NULL, ulSessionId, ulFlags, lpsResponse); }
        /// Web service synchronous operation 'getPublicStore' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int getPublicStore(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulFlags, struct getStoreResponse *lpsResponse) { return this->send_getPublicStore(soap_endpoint_url, soap_action, ulSessionId, ulFlags) || this->recv_getPublicStore(lpsResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_getPublicStore' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_getPublicStore(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulFlags);
        /// Web service asynchronous operation 'recv_getPublicStore' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_getPublicStore(struct getStoreResponse *lpsResponse);
        //
        /// Web service synchronous operation 'logoff' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int logoff(ULONG64 ulSessionId, unsigned int *result) { return this->logoff(NULL, NULL, ulSessionId, result); }
        /// Web service synchronous operation 'logoff' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int logoff(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int *result) { return this->send_logoff(soap_endpoint_url, soap_action, ulSessionId) || this->recv_logoff(result) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_logoff' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_logoff(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId);
        /// Web service asynchronous operation 'recv_logoff' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_logoff(unsigned int *result);
        //
        /// Web service synchronous operation 'getRights' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int getRights(ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, int ulType, struct rightsResponse *lpsRightResponse) { return this->getRights(NULL, NULL, ulSessionId, sEntryId, ulType, lpsRightResponse); }
        /// Web service synchronous operation 'getRights' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int getRights(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, int ulType, struct rightsResponse *lpsRightResponse) { return this->send_getRights(soap_endpoint_url, soap_action, ulSessionId, sEntryId, ulType) || this->recv_getRights(lpsRightResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_getRights' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_getRights(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, int ulType);
        /// Web service asynchronous operation 'recv_getRights' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_getRights(struct rightsResponse *lpsRightResponse);
        //
        /// Web service synchronous operation 'setRights' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int setRights(ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, struct rightsArray *lpsrightsArray, unsigned int *result) { return this->setRights(NULL, NULL, ulSessionId, sEntryId, lpsrightsArray, result); }
        /// Web service synchronous operation 'setRights' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int setRights(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, struct rightsArray *lpsrightsArray, unsigned int *result) { return this->send_setRights(soap_endpoint_url, soap_action, ulSessionId, sEntryId, lpsrightsArray) || this->recv_setRights(result) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_setRights' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_setRights(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, struct rightsArray *lpsrightsArray);
        /// Web service asynchronous operation 'recv_setRights' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_setRights(unsigned int *result);
        //
        /// Web service synchronous operation 'loadProp' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int loadProp(ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, unsigned int ulObjId, unsigned int ulPropTag, struct loadPropResponse *lpsResponse) { return this->loadProp(NULL, NULL, ulSessionId, sEntryId, ulObjId, ulPropTag, lpsResponse); }
        /// Web service synchronous operation 'loadProp' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int loadProp(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, unsigned int ulObjId, unsigned int ulPropTag, struct loadPropResponse *lpsResponse) { return this->send_loadProp(soap_endpoint_url, soap_action, ulSessionId, sEntryId, ulObjId, ulPropTag) || this->recv_loadProp(lpsResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_loadProp' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_loadProp(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, unsigned int ulObjId, unsigned int ulPropTag);
        /// Web service asynchronous operation 'recv_loadProp' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_loadProp(struct loadPropResponse *lpsResponse);
        //
        /// Web service synchronous operation 'saveObject' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int saveObject(ULONG64 ulSessionId, const struct xsd__base64Binary& sParentEntryId, const struct xsd__base64Binary& sEntryId, struct saveObject *lpsSaveObj, unsigned int ulFlags, unsigned int ulSyncId, struct loadObjectResponse *lpsLoadObjectResponse) { return this->saveObject(NULL, NULL, ulSessionId, sParentEntryId, sEntryId, lpsSaveObj, ulFlags, ulSyncId, lpsLoadObjectResponse); }
        /// Web service synchronous operation 'saveObject' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int saveObject(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sParentEntryId, const struct xsd__base64Binary& sEntryId, struct saveObject *lpsSaveObj, unsigned int ulFlags, unsigned int ulSyncId, struct loadObjectResponse *lpsLoadObjectResponse) { return this->send_saveObject(soap_endpoint_url, soap_action, ulSessionId, sParentEntryId, sEntryId, lpsSaveObj, ulFlags, ulSyncId) || this->recv_saveObject(lpsLoadObjectResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_saveObject' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_saveObject(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sParentEntryId, const struct xsd__base64Binary& sEntryId, struct saveObject *lpsSaveObj, unsigned int ulFlags, unsigned int ulSyncId);
        /// Web service asynchronous operation 'recv_saveObject' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_saveObject(struct loadObjectResponse *lpsLoadObjectResponse);
        //
        /// Web service synchronous operation 'loadObject' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int loadObject(ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, struct notifySubscribe *lpsNotSubscribe, unsigned int ulFlags, struct loadObjectResponse *lpsLoadObjectResponse) { return this->loadObject(NULL, NULL, ulSessionId, sEntryId, lpsNotSubscribe, ulFlags, lpsLoadObjectResponse); }
        /// Web service synchronous operation 'loadObject' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int loadObject(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, struct notifySubscribe *lpsNotSubscribe, unsigned int ulFlags, struct loadObjectResponse *lpsLoadObjectResponse) { return this->send_loadObject(soap_endpoint_url, soap_action, ulSessionId, sEntryId, lpsNotSubscribe, ulFlags) || this->recv_loadObject(lpsLoadObjectResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_loadObject' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_loadObject(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, struct notifySubscribe *lpsNotSubscribe, unsigned int ulFlags);
        /// Web service asynchronous operation 'recv_loadObject' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_loadObject(struct loadObjectResponse *lpsLoadObjectResponse);
        //
        /// Web service synchronous operation 'createFolder' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int createFolder(ULONG64 ulSessionId, const struct xsd__base64Binary& sParentId, struct xsd__base64Binary *lpsNewEntryId, unsigned int ulType, const char *szName, const char *szComment, bool fOpenIfExists, unsigned int ulSyncId, const struct xsd__base64Binary& sOrigSourceKey, struct createFolderResponse *lpsCreateFolderResponse) { return this->createFolder(NULL, NULL, ulSessionId, sParentId, lpsNewEntryId, ulType, szName, szComment, fOpenIfExists, ulSyncId, sOrigSourceKey, lpsCreateFolderResponse); }
        /// Web service synchronous operation 'createFolder' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int createFolder(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sParentId, struct xsd__base64Binary *lpsNewEntryId, unsigned int ulType, const char *szName, const char *szComment, bool fOpenIfExists, unsigned int ulSyncId, const struct xsd__base64Binary& sOrigSourceKey, struct createFolderResponse *lpsCreateFolderResponse) { return this->send_createFolder(soap_endpoint_url, soap_action, ulSessionId, sParentId, lpsNewEntryId, ulType, szName, szComment, fOpenIfExists, ulSyncId, sOrigSourceKey) || this->recv_createFolder(lpsCreateFolderResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_createFolder' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_createFolder(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sParentId, struct xsd__base64Binary *lpsNewEntryId, unsigned int ulType, const char *szName, const char *szComment, bool fOpenIfExists, unsigned int ulSyncId, const struct xsd__base64Binary& sOrigSourceKey);
        /// Web service asynchronous operation 'recv_createFolder' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_createFolder(struct createFolderResponse *lpsCreateFolderResponse);
        //
        /// Web service synchronous operation 'create-folders' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int create_folders(ULONG64 session_id, const struct xsd__base64Binary& parent_eid, const struct new_folder_set& batch, struct create_folders_response *response) { return this->create_folders(NULL, NULL, session_id, parent_eid, batch, response); }
        /// Web service synchronous operation 'create-folders' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int create_folders(const char *soap_endpoint_url, const char *soap_action, ULONG64 session_id, const struct xsd__base64Binary& parent_eid, const struct new_folder_set& batch, struct create_folders_response *response) { return this->send_create_folders(soap_endpoint_url, soap_action, session_id, parent_eid, batch) || this->recv_create_folders(response) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_create-folders' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_create_folders(const char *soap_endpoint_url, const char *soap_action, ULONG64 session_id, const struct xsd__base64Binary& parent_eid, const struct new_folder_set& batch);
        /// Web service asynchronous operation 'recv_create-folders' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_create_folders(struct create_folders_response *response);
        //
        /// Web service synchronous operation 'deleteObjects' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int deleteObjects(ULONG64 ulSessionId, unsigned int ulFlags, struct entryList *aMessages, unsigned int ulSyncId, unsigned int *result) { return this->deleteObjects(NULL, NULL, ulSessionId, ulFlags, aMessages, ulSyncId, result); }
        /// Web service synchronous operation 'deleteObjects' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int deleteObjects(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulFlags, struct entryList *aMessages, unsigned int ulSyncId, unsigned int *result) { return this->send_deleteObjects(soap_endpoint_url, soap_action, ulSessionId, ulFlags, aMessages, ulSyncId) || this->recv_deleteObjects(result) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_deleteObjects' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_deleteObjects(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulFlags, struct entryList *aMessages, unsigned int ulSyncId);
        /// Web service asynchronous operation 'recv_deleteObjects' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_deleteObjects(unsigned int *result);
        //
        /// Web service synchronous operation 'copyObjects' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int copyObjects(ULONG64 ulSessionId, struct entryList *aMessages, const struct xsd__base64Binary& sDestFolderId, unsigned int ulFlags, unsigned int ulSyncId, unsigned int *result) { return this->copyObjects(NULL, NULL, ulSessionId, aMessages, sDestFolderId, ulFlags, ulSyncId, result); }
        /// Web service synchronous operation 'copyObjects' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int copyObjects(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, struct entryList *aMessages, const struct xsd__base64Binary& sDestFolderId, unsigned int ulFlags, unsigned int ulSyncId, unsigned int *result) { return this->send_copyObjects(soap_endpoint_url, soap_action, ulSessionId, aMessages, sDestFolderId, ulFlags, ulSyncId) || this->recv_copyObjects(result) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_copyObjects' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_copyObjects(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, struct entryList *aMessages, const struct xsd__base64Binary& sDestFolderId, unsigned int ulFlags, unsigned int ulSyncId);
        /// Web service asynchronous operation 'recv_copyObjects' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_copyObjects(unsigned int *result);
        //
        /// Web service synchronous operation 'emptyFolder' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int emptyFolder(ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, unsigned int ulFlags, unsigned int ulSyncId, unsigned int *result) { return this->emptyFolder(NULL, NULL, ulSessionId, sEntryId, ulFlags, ulSyncId, result); }
        /// Web service synchronous operation 'emptyFolder' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int emptyFolder(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, unsigned int ulFlags, unsigned int ulSyncId, unsigned int *result) { return this->send_emptyFolder(soap_endpoint_url, soap_action, ulSessionId, sEntryId, ulFlags, ulSyncId) || this->recv_emptyFolder(result) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_emptyFolder' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_emptyFolder(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, unsigned int ulFlags, unsigned int ulSyncId);
        /// Web service asynchronous operation 'recv_emptyFolder' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_emptyFolder(unsigned int *result);
        //
        /// Web service synchronous operation 'deleteFolder' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int deleteFolder(ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, unsigned int ulFlags, unsigned int ulSyncId, unsigned int *result) { return this->deleteFolder(NULL, NULL, ulSessionId, sEntryId, ulFlags, ulSyncId, result); }
        /// Web service synchronous operation 'deleteFolder' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int deleteFolder(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, unsigned int ulFlags, unsigned int ulSyncId, unsigned int *result) { return this->send_deleteFolder(soap_endpoint_url, soap_action, ulSessionId, sEntryId, ulFlags, ulSyncId) || this->recv_deleteFolder(result) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_deleteFolder' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_deleteFolder(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, unsigned int ulFlags, unsigned int ulSyncId);
        /// Web service asynchronous operation 'recv_deleteFolder' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_deleteFolder(unsigned int *result);
        //
        /// Web service synchronous operation 'copyFolder' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int copyFolder(ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, const struct xsd__base64Binary& sDestFolderId, const char *lpszNewFolderName, unsigned int ulFlags, unsigned int ulSyncId, unsigned int *result) { return this->copyFolder(NULL, NULL, ulSessionId, sEntryId, sDestFolderId, lpszNewFolderName, ulFlags, ulSyncId, result); }
        /// Web service synchronous operation 'copyFolder' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int copyFolder(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, const struct xsd__base64Binary& sDestFolderId, const char *lpszNewFolderName, unsigned int ulFlags, unsigned int ulSyncId, unsigned int *result) { return this->send_copyFolder(soap_endpoint_url, soap_action, ulSessionId, sEntryId, sDestFolderId, lpszNewFolderName, ulFlags, ulSyncId) || this->recv_copyFolder(result) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_copyFolder' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_copyFolder(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, const struct xsd__base64Binary& sDestFolderId, const char *lpszNewFolderName, unsigned int ulFlags, unsigned int ulSyncId);
        /// Web service asynchronous operation 'recv_copyFolder' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_copyFolder(unsigned int *result);
        //
        /// Web service synchronous operation 'setReadFlags' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int setReadFlags(ULONG64 ulSessionId, unsigned int ulFlags, struct xsd__base64Binary *lpsEntryId, struct entryList *lpMessages, unsigned int ulSyncId, unsigned int *result) { return this->setReadFlags(NULL, NULL, ulSessionId, ulFlags, lpsEntryId, lpMessages, ulSyncId, result); }
        /// Web service synchronous operation 'setReadFlags' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int setReadFlags(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulFlags, struct xsd__base64Binary *lpsEntryId, struct entryList *lpMessages, unsigned int ulSyncId, unsigned int *result) { return this->send_setReadFlags(soap_endpoint_url, soap_action, ulSessionId, ulFlags, lpsEntryId, lpMessages, ulSyncId) || this->recv_setReadFlags(result) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_setReadFlags' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_setReadFlags(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulFlags, struct xsd__base64Binary *lpsEntryId, struct entryList *lpMessages, unsigned int ulSyncId);
        /// Web service asynchronous operation 'recv_setReadFlags' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_setReadFlags(unsigned int *result);
        //
        /// Web service synchronous operation 'setReceiveFolder' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int setReceiveFolder(ULONG64 ulSessionId, const struct xsd__base64Binary& sStoreId, struct xsd__base64Binary *lpsEntryId, const char *lpszMessageClass, unsigned int *result) { return this->setReceiveFolder(NULL, NULL, ulSessionId, sStoreId, lpsEntryId, lpszMessageClass, result); }
        /// Web service synchronous operation 'setReceiveFolder' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int setReceiveFolder(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sStoreId, struct xsd__base64Binary *lpsEntryId, const char *lpszMessageClass, unsigned int *result) { return this->send_setReceiveFolder(soap_endpoint_url, soap_action, ulSessionId, sStoreId, lpsEntryId, lpszMessageClass) || this->recv_setReceiveFolder(result) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_setReceiveFolder' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_setReceiveFolder(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sStoreId, struct xsd__base64Binary *lpsEntryId, const char *lpszMessageClass);
        /// Web service asynchronous operation 'recv_setReceiveFolder' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_setReceiveFolder(unsigned int *result);
        //
        /// Web service synchronous operation 'getReceiveFolder' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int getReceiveFolder(ULONG64 ulSessionId, const struct xsd__base64Binary& sStoreId, const char *lpszMessageClass, struct receiveFolderResponse *lpsReceiveFolder) { return this->getReceiveFolder(NULL, NULL, ulSessionId, sStoreId, lpszMessageClass, lpsReceiveFolder); }
        /// Web service synchronous operation 'getReceiveFolder' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int getReceiveFolder(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sStoreId, const char *lpszMessageClass, struct receiveFolderResponse *lpsReceiveFolder) { return this->send_getReceiveFolder(soap_endpoint_url, soap_action, ulSessionId, sStoreId, lpszMessageClass) || this->recv_getReceiveFolder(lpsReceiveFolder) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_getReceiveFolder' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_getReceiveFolder(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sStoreId, const char *lpszMessageClass);
        /// Web service asynchronous operation 'recv_getReceiveFolder' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_getReceiveFolder(struct receiveFolderResponse *lpsReceiveFolder);
        //
        /// Web service synchronous operation 'getReceiveFolderTable' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int getReceiveFolderTable(ULONG64 ulSessionId, const struct xsd__base64Binary& sStoreId, struct receiveFolderTableResponse *lpsReceiveFolderTable) { return this->getReceiveFolderTable(NULL, NULL, ulSessionId, sStoreId, lpsReceiveFolderTable); }
        /// Web service synchronous operation 'getReceiveFolderTable' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int getReceiveFolderTable(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sStoreId, struct receiveFolderTableResponse *lpsReceiveFolderTable) { return this->send_getReceiveFolderTable(soap_endpoint_url, soap_action, ulSessionId, sStoreId) || this->recv_getReceiveFolderTable(lpsReceiveFolderTable) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_getReceiveFolderTable' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_getReceiveFolderTable(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sStoreId);
        /// Web service asynchronous operation 'recv_getReceiveFolderTable' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_getReceiveFolderTable(struct receiveFolderTableResponse *lpsReceiveFolderTable);
        //
        /// Web service synchronous operation 'getMessageStatus' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int getMessageStatus(ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, unsigned int ulFlags, struct messageStatus *lpsStatus) { return this->getMessageStatus(NULL, NULL, ulSessionId, sEntryId, ulFlags, lpsStatus); }
        /// Web service synchronous operation 'getMessageStatus' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int getMessageStatus(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, unsigned int ulFlags, struct messageStatus *lpsStatus) { return this->send_getMessageStatus(soap_endpoint_url, soap_action, ulSessionId, sEntryId, ulFlags) || this->recv_getMessageStatus(lpsStatus) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_getMessageStatus' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_getMessageStatus(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, unsigned int ulFlags);
        /// Web service asynchronous operation 'recv_getMessageStatus' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_getMessageStatus(struct messageStatus *lpsStatus);
        //
        /// Web service synchronous operation 'setMessageStatus' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int setMessageStatus(ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, unsigned int ulNewStatus, unsigned int ulNewStatusMask, unsigned int ulSyncId, struct messageStatus *lpsOldStatus) { return this->setMessageStatus(NULL, NULL, ulSessionId, sEntryId, ulNewStatus, ulNewStatusMask, ulSyncId, lpsOldStatus); }
        /// Web service synchronous operation 'setMessageStatus' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int setMessageStatus(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, unsigned int ulNewStatus, unsigned int ulNewStatusMask, unsigned int ulSyncId, struct messageStatus *lpsOldStatus) { return this->send_setMessageStatus(soap_endpoint_url, soap_action, ulSessionId, sEntryId, ulNewStatus, ulNewStatusMask, ulSyncId) || this->recv_setMessageStatus(lpsOldStatus) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_setMessageStatus' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_setMessageStatus(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, unsigned int ulNewStatus, unsigned int ulNewStatusMask, unsigned int ulSyncId);
        /// Web service asynchronous operation 'recv_setMessageStatus' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_setMessageStatus(struct messageStatus *lpsOldStatus);
        //
        /// Web service synchronous operation 'getIDsFromNames' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int getIDsFromNames(ULONG64 ulSessionId, struct namedPropArray *lpsNamedProps, unsigned int ulFlags, struct getIDsFromNamesResponse *lpsResponse) { return this->getIDsFromNames(NULL, NULL, ulSessionId, lpsNamedProps, ulFlags, lpsResponse); }
        /// Web service synchronous operation 'getIDsFromNames' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int getIDsFromNames(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, struct namedPropArray *lpsNamedProps, unsigned int ulFlags, struct getIDsFromNamesResponse *lpsResponse) { return this->send_getIDsFromNames(soap_endpoint_url, soap_action, ulSessionId, lpsNamedProps, ulFlags) || this->recv_getIDsFromNames(lpsResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_getIDsFromNames' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_getIDsFromNames(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, struct namedPropArray *lpsNamedProps, unsigned int ulFlags);
        /// Web service asynchronous operation 'recv_getIDsFromNames' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_getIDsFromNames(struct getIDsFromNamesResponse *lpsResponse);
        //
        /// Web service synchronous operation 'getNamesFromIDs' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int getNamesFromIDs(ULONG64 ulSessionId, struct propTagArray *lpsPropTags, struct getNamesFromIDsResponse *lpsResponse) { return this->getNamesFromIDs(NULL, NULL, ulSessionId, lpsPropTags, lpsResponse); }
        /// Web service synchronous operation 'getNamesFromIDs' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int getNamesFromIDs(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, struct propTagArray *lpsPropTags, struct getNamesFromIDsResponse *lpsResponse) { return this->send_getNamesFromIDs(soap_endpoint_url, soap_action, ulSessionId, lpsPropTags) || this->recv_getNamesFromIDs(lpsResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_getNamesFromIDs' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_getNamesFromIDs(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, struct propTagArray *lpsPropTags);
        /// Web service asynchronous operation 'recv_getNamesFromIDs' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_getNamesFromIDs(struct getNamesFromIDsResponse *lpsResponse);
        //
        /// Web service synchronous operation 'notify' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int notify(ULONG64 ulSessionId, const struct notification& sNotification, unsigned int *er) { return this->notify(NULL, NULL, ulSessionId, sNotification, er); }
        /// Web service synchronous operation 'notify' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int notify(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct notification& sNotification, unsigned int *er) { return this->send_notify(soap_endpoint_url, soap_action, ulSessionId, sNotification) || this->recv_notify(er) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_notify' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_notify(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct notification& sNotification);
        /// Web service asynchronous operation 'recv_notify' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_notify(unsigned int *er);
        //
        /// Web service synchronous operation 'notifySubscribe' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int notifySubscribe(ULONG64 ulSessionId, struct notifySubscribe *notifySubscribe, unsigned int *result) { return this->notifySubscribe(NULL, NULL, ulSessionId, notifySubscribe, result); }
        /// Web service synchronous operation 'notifySubscribe' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int notifySubscribe(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, struct notifySubscribe *notifySubscribe, unsigned int *result) { return this->send_notifySubscribe(soap_endpoint_url, soap_action, ulSessionId, notifySubscribe) || this->recv_notifySubscribe(result) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_notifySubscribe' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_notifySubscribe(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, struct notifySubscribe *notifySubscribe);
        /// Web service asynchronous operation 'recv_notifySubscribe' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_notifySubscribe(unsigned int *result);
        //
        /// Web service synchronous operation 'notifySubscribeMulti' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int notifySubscribeMulti(ULONG64 ulSessionId, struct notifySubscribeArray *notifySubscribeArray, unsigned int *result) { return this->notifySubscribeMulti(NULL, NULL, ulSessionId, notifySubscribeArray, result); }
        /// Web service synchronous operation 'notifySubscribeMulti' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int notifySubscribeMulti(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, struct notifySubscribeArray *notifySubscribeArray, unsigned int *result) { return this->send_notifySubscribeMulti(soap_endpoint_url, soap_action, ulSessionId, notifySubscribeArray) || this->recv_notifySubscribeMulti(result) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_notifySubscribeMulti' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_notifySubscribeMulti(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, struct notifySubscribeArray *notifySubscribeArray);
        /// Web service asynchronous operation 'recv_notifySubscribeMulti' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_notifySubscribeMulti(unsigned int *result);
        //
        /// Web service synchronous operation 'notifyUnSubscribe' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int notifyUnSubscribe(ULONG64 ulSessionId, unsigned int ulConnection, unsigned int *result) { return this->notifyUnSubscribe(NULL, NULL, ulSessionId, ulConnection, result); }
        /// Web service synchronous operation 'notifyUnSubscribe' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int notifyUnSubscribe(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulConnection, unsigned int *result) { return this->send_notifyUnSubscribe(soap_endpoint_url, soap_action, ulSessionId, ulConnection) || this->recv_notifyUnSubscribe(result) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_notifyUnSubscribe' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_notifyUnSubscribe(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulConnection);
        /// Web service asynchronous operation 'recv_notifyUnSubscribe' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_notifyUnSubscribe(unsigned int *result);
        //
        /// Web service synchronous operation 'notifyUnSubscribeMulti' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int notifyUnSubscribeMulti(ULONG64 ulSessionId, struct mv_long *ulConnectionArray, unsigned int *result) { return this->notifyUnSubscribeMulti(NULL, NULL, ulSessionId, ulConnectionArray, result); }
        /// Web service synchronous operation 'notifyUnSubscribeMulti' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int notifyUnSubscribeMulti(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, struct mv_long *ulConnectionArray, unsigned int *result) { return this->send_notifyUnSubscribeMulti(soap_endpoint_url, soap_action, ulSessionId, ulConnectionArray) || this->recv_notifyUnSubscribeMulti(result) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_notifyUnSubscribeMulti' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_notifyUnSubscribeMulti(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, struct mv_long *ulConnectionArray);
        /// Web service asynchronous operation 'recv_notifyUnSubscribeMulti' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_notifyUnSubscribeMulti(unsigned int *result);
        //
        /// Web service synchronous operation 'notifyGetItems' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int notifyGetItems(ULONG64 ulSessionId, struct notifyResponse *notifications) { return this->notifyGetItems(NULL, NULL, ulSessionId, notifications); }
        /// Web service synchronous operation 'notifyGetItems' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int notifyGetItems(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, struct notifyResponse *notifications) { return this->send_notifyGetItems(soap_endpoint_url, soap_action, ulSessionId) || this->recv_notifyGetItems(notifications) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_notifyGetItems' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_notifyGetItems(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId);
        /// Web service asynchronous operation 'recv_notifyGetItems' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_notifyGetItems(struct notifyResponse *notifications);
        //
        /// Web service synchronous operation 'tableOpen' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int tableOpen(ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, unsigned int ulTableType, unsigned int ulType, unsigned int ulFlags, struct tableOpenResponse *lpsTableOpenResponse) { return this->tableOpen(NULL, NULL, ulSessionId, sEntryId, ulTableType, ulType, ulFlags, lpsTableOpenResponse); }
        /// Web service synchronous operation 'tableOpen' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int tableOpen(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, unsigned int ulTableType, unsigned int ulType, unsigned int ulFlags, struct tableOpenResponse *lpsTableOpenResponse) { return this->send_tableOpen(soap_endpoint_url, soap_action, ulSessionId, sEntryId, ulTableType, ulType, ulFlags) || this->recv_tableOpen(lpsTableOpenResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_tableOpen' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_tableOpen(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, unsigned int ulTableType, unsigned int ulType, unsigned int ulFlags);
        /// Web service asynchronous operation 'recv_tableOpen' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_tableOpen(struct tableOpenResponse *lpsTableOpenResponse);
        //
        /// Web service synchronous operation 'tableClose' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int tableClose(ULONG64 ulSessionId, unsigned int ulTableId, unsigned int *result) { return this->tableClose(NULL, NULL, ulSessionId, ulTableId, result); }
        /// Web service synchronous operation 'tableClose' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int tableClose(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulTableId, unsigned int *result) { return this->send_tableClose(soap_endpoint_url, soap_action, ulSessionId, ulTableId) || this->recv_tableClose(result) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_tableClose' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_tableClose(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulTableId);
        /// Web service asynchronous operation 'recv_tableClose' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_tableClose(unsigned int *result);
        //
        /// Web service synchronous operation 'tableSetColumns' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int tableSetColumns(ULONG64 ulSessionId, unsigned int ulTableId, struct propTagArray *aPropTag, unsigned int *result) { return this->tableSetColumns(NULL, NULL, ulSessionId, ulTableId, aPropTag, result); }
        /// Web service synchronous operation 'tableSetColumns' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int tableSetColumns(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulTableId, struct propTagArray *aPropTag, unsigned int *result) { return this->send_tableSetColumns(soap_endpoint_url, soap_action, ulSessionId, ulTableId, aPropTag) || this->recv_tableSetColumns(result) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_tableSetColumns' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_tableSetColumns(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulTableId, struct propTagArray *aPropTag);
        /// Web service asynchronous operation 'recv_tableSetColumns' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_tableSetColumns(unsigned int *result);
        //
        /// Web service synchronous operation 'tableQueryColumns' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int tableQueryColumns(ULONG64 ulSessionId, unsigned int ulTableId, unsigned int ulFlags, struct tableQueryColumnsResponse *lpsTableQueryColumnsResponse) { return this->tableQueryColumns(NULL, NULL, ulSessionId, ulTableId, ulFlags, lpsTableQueryColumnsResponse); }
        /// Web service synchronous operation 'tableQueryColumns' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int tableQueryColumns(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulTableId, unsigned int ulFlags, struct tableQueryColumnsResponse *lpsTableQueryColumnsResponse) { return this->send_tableQueryColumns(soap_endpoint_url, soap_action, ulSessionId, ulTableId, ulFlags) || this->recv_tableQueryColumns(lpsTableQueryColumnsResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_tableQueryColumns' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_tableQueryColumns(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulTableId, unsigned int ulFlags);
        /// Web service asynchronous operation 'recv_tableQueryColumns' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_tableQueryColumns(struct tableQueryColumnsResponse *lpsTableQueryColumnsResponse);
        //
        /// Web service synchronous operation 'tableSort' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int tableSort(ULONG64 ulSessionId, unsigned int ulTableId, struct sortOrderArray *aSortOrder, unsigned int ulCategories, unsigned int ulExpanded, unsigned int *result) { return this->tableSort(NULL, NULL, ulSessionId, ulTableId, aSortOrder, ulCategories, ulExpanded, result); }
        /// Web service synchronous operation 'tableSort' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int tableSort(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulTableId, struct sortOrderArray *aSortOrder, unsigned int ulCategories, unsigned int ulExpanded, unsigned int *result) { return this->send_tableSort(soap_endpoint_url, soap_action, ulSessionId, ulTableId, aSortOrder, ulCategories, ulExpanded) || this->recv_tableSort(result) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_tableSort' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_tableSort(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulTableId, struct sortOrderArray *aSortOrder, unsigned int ulCategories, unsigned int ulExpanded);
        /// Web service asynchronous operation 'recv_tableSort' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_tableSort(unsigned int *result);
        //
        /// Web service synchronous operation 'tableRestrict' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int tableRestrict(ULONG64 ulSessionId, unsigned int ulTableId, struct restrictTable *lpRestrict, unsigned int *result) { return this->tableRestrict(NULL, NULL, ulSessionId, ulTableId, lpRestrict, result); }
        /// Web service synchronous operation 'tableRestrict' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int tableRestrict(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulTableId, struct restrictTable *lpRestrict, unsigned int *result) { return this->send_tableRestrict(soap_endpoint_url, soap_action, ulSessionId, ulTableId, lpRestrict) || this->recv_tableRestrict(result) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_tableRestrict' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_tableRestrict(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulTableId, struct restrictTable *lpRestrict);
        /// Web service asynchronous operation 'recv_tableRestrict' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_tableRestrict(unsigned int *result);
        //
        /// Web service synchronous operation 'tableGetRowCount' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int tableGetRowCount(ULONG64 ulSessionId, unsigned int ulTableId, struct tableGetRowCountResponse *lpsTableGetRowCountResponse) { return this->tableGetRowCount(NULL, NULL, ulSessionId, ulTableId, lpsTableGetRowCountResponse); }
        /// Web service synchronous operation 'tableGetRowCount' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int tableGetRowCount(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulTableId, struct tableGetRowCountResponse *lpsTableGetRowCountResponse) { return this->send_tableGetRowCount(soap_endpoint_url, soap_action, ulSessionId, ulTableId) || this->recv_tableGetRowCount(lpsTableGetRowCountResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_tableGetRowCount' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_tableGetRowCount(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulTableId);
        /// Web service asynchronous operation 'recv_tableGetRowCount' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_tableGetRowCount(struct tableGetRowCountResponse *lpsTableGetRowCountResponse);
        //
        /// Web service synchronous operation 'tableQueryRows' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int tableQueryRows(ULONG64 ulSessionId, unsigned int ulTableId, unsigned int ulRowCount, unsigned int ulFlags, struct tableQueryRowsResponse *lpsQueryRowsResponse) { return this->tableQueryRows(NULL, NULL, ulSessionId, ulTableId, ulRowCount, ulFlags, lpsQueryRowsResponse); }
        /// Web service synchronous operation 'tableQueryRows' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int tableQueryRows(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulTableId, unsigned int ulRowCount, unsigned int ulFlags, struct tableQueryRowsResponse *lpsQueryRowsResponse) { return this->send_tableQueryRows(soap_endpoint_url, soap_action, ulSessionId, ulTableId, ulRowCount, ulFlags) || this->recv_tableQueryRows(lpsQueryRowsResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_tableQueryRows' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_tableQueryRows(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulTableId, unsigned int ulRowCount, unsigned int ulFlags);
        /// Web service asynchronous operation 'recv_tableQueryRows' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_tableQueryRows(struct tableQueryRowsResponse *lpsQueryRowsResponse);
        //
        /// Web service synchronous operation 'tableFindRow' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int tableFindRow(ULONG64 ulSessionId, unsigned int ulTableId, unsigned int ulBookmark, unsigned int ulFlags, struct restrictTable *lpsRestrict, unsigned int *result) { return this->tableFindRow(NULL, NULL, ulSessionId, ulTableId, ulBookmark, ulFlags, lpsRestrict, result); }
        /// Web service synchronous operation 'tableFindRow' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int tableFindRow(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulTableId, unsigned int ulBookmark, unsigned int ulFlags, struct restrictTable *lpsRestrict, unsigned int *result) { return this->send_tableFindRow(soap_endpoint_url, soap_action, ulSessionId, ulTableId, ulBookmark, ulFlags, lpsRestrict) || this->recv_tableFindRow(result) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_tableFindRow' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_tableFindRow(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulTableId, unsigned int ulBookmark, unsigned int ulFlags, struct restrictTable *lpsRestrict);
        /// Web service asynchronous operation 'recv_tableFindRow' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_tableFindRow(unsigned int *result);
        //
        /// Web service synchronous operation 'tableSeekRow' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int tableSeekRow(ULONG64 ulSessionId, unsigned int ulTableId, unsigned int ulBookmark, int lRowCount, struct tableSeekRowResponse *lpsResponse) { return this->tableSeekRow(NULL, NULL, ulSessionId, ulTableId, ulBookmark, lRowCount, lpsResponse); }
        /// Web service synchronous operation 'tableSeekRow' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int tableSeekRow(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulTableId, unsigned int ulBookmark, int lRowCount, struct tableSeekRowResponse *lpsResponse) { return this->send_tableSeekRow(soap_endpoint_url, soap_action, ulSessionId, ulTableId, ulBookmark, lRowCount) || this->recv_tableSeekRow(lpsResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_tableSeekRow' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_tableSeekRow(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulTableId, unsigned int ulBookmark, int lRowCount);
        /// Web service asynchronous operation 'recv_tableSeekRow' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_tableSeekRow(struct tableSeekRowResponse *lpsResponse);
        //
        /// Web service synchronous operation 'tableCreateBookmark' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int tableCreateBookmark(ULONG64 ulSessionId, unsigned int ulTableId, struct tableBookmarkResponse *lpsResponse) { return this->tableCreateBookmark(NULL, NULL, ulSessionId, ulTableId, lpsResponse); }
        /// Web service synchronous operation 'tableCreateBookmark' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int tableCreateBookmark(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulTableId, struct tableBookmarkResponse *lpsResponse) { return this->send_tableCreateBookmark(soap_endpoint_url, soap_action, ulSessionId, ulTableId) || this->recv_tableCreateBookmark(lpsResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_tableCreateBookmark' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_tableCreateBookmark(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulTableId);
        /// Web service asynchronous operation 'recv_tableCreateBookmark' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_tableCreateBookmark(struct tableBookmarkResponse *lpsResponse);
        //
        /// Web service synchronous operation 'tableFreeBookmark' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int tableFreeBookmark(ULONG64 ulSessionId, unsigned int ulTableId, unsigned int ulbkPosition, unsigned int *result) { return this->tableFreeBookmark(NULL, NULL, ulSessionId, ulTableId, ulbkPosition, result); }
        /// Web service synchronous operation 'tableFreeBookmark' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int tableFreeBookmark(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulTableId, unsigned int ulbkPosition, unsigned int *result) { return this->send_tableFreeBookmark(soap_endpoint_url, soap_action, ulSessionId, ulTableId, ulbkPosition) || this->recv_tableFreeBookmark(result) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_tableFreeBookmark' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_tableFreeBookmark(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulTableId, unsigned int ulbkPosition);
        /// Web service asynchronous operation 'recv_tableFreeBookmark' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_tableFreeBookmark(unsigned int *result);
        //
        /// Web service synchronous operation 'tableSetSearchCriteria' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int tableSetSearchCriteria(ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, struct restrictTable *lpRestrict, struct entryList *lpFolders, unsigned int ulFlags, unsigned int *result) { return this->tableSetSearchCriteria(NULL, NULL, ulSessionId, sEntryId, lpRestrict, lpFolders, ulFlags, result); }
        /// Web service synchronous operation 'tableSetSearchCriteria' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int tableSetSearchCriteria(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, struct restrictTable *lpRestrict, struct entryList *lpFolders, unsigned int ulFlags, unsigned int *result) { return this->send_tableSetSearchCriteria(soap_endpoint_url, soap_action, ulSessionId, sEntryId, lpRestrict, lpFolders, ulFlags) || this->recv_tableSetSearchCriteria(result) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_tableSetSearchCriteria' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_tableSetSearchCriteria(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, struct restrictTable *lpRestrict, struct entryList *lpFolders, unsigned int ulFlags);
        /// Web service asynchronous operation 'recv_tableSetSearchCriteria' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_tableSetSearchCriteria(unsigned int *result);
        //
        /// Web service synchronous operation 'tableGetSearchCriteria' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int tableGetSearchCriteria(ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, struct tableGetSearchCriteriaResponse *lpsResponse) { return this->tableGetSearchCriteria(NULL, NULL, ulSessionId, sEntryId, lpsResponse); }
        /// Web service synchronous operation 'tableGetSearchCriteria' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int tableGetSearchCriteria(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, struct tableGetSearchCriteriaResponse *lpsResponse) { return this->send_tableGetSearchCriteria(soap_endpoint_url, soap_action, ulSessionId, sEntryId) || this->recv_tableGetSearchCriteria(lpsResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_tableGetSearchCriteria' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_tableGetSearchCriteria(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId);
        /// Web service asynchronous operation 'recv_tableGetSearchCriteria' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_tableGetSearchCriteria(struct tableGetSearchCriteriaResponse *lpsResponse);
        //
        /// Web service synchronous operation 'tableExpandRow' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int tableExpandRow(ULONG64 ulSessionId, unsigned int ulTableId, const struct xsd__base64Binary& sInstanceKey, unsigned int ulRowCount, unsigned int ulFlags, struct tableExpandRowResponse *lpsTableExpandRowResponse) { return this->tableExpandRow(NULL, NULL, ulSessionId, ulTableId, sInstanceKey, ulRowCount, ulFlags, lpsTableExpandRowResponse); }
        /// Web service synchronous operation 'tableExpandRow' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int tableExpandRow(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulTableId, const struct xsd__base64Binary& sInstanceKey, unsigned int ulRowCount, unsigned int ulFlags, struct tableExpandRowResponse *lpsTableExpandRowResponse) { return this->send_tableExpandRow(soap_endpoint_url, soap_action, ulSessionId, ulTableId, sInstanceKey, ulRowCount, ulFlags) || this->recv_tableExpandRow(lpsTableExpandRowResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_tableExpandRow' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_tableExpandRow(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulTableId, const struct xsd__base64Binary& sInstanceKey, unsigned int ulRowCount, unsigned int ulFlags);
        /// Web service asynchronous operation 'recv_tableExpandRow' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_tableExpandRow(struct tableExpandRowResponse *lpsTableExpandRowResponse);
        //
        /// Web service synchronous operation 'tableCollapseRow' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int tableCollapseRow(ULONG64 ulSessionId, unsigned int ulTableId, const struct xsd__base64Binary& sInstanceKey, unsigned int ulFlags, struct tableCollapseRowResponse *lpsTableCollapseRowResponse) { return this->tableCollapseRow(NULL, NULL, ulSessionId, ulTableId, sInstanceKey, ulFlags, lpsTableCollapseRowResponse); }
        /// Web service synchronous operation 'tableCollapseRow' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int tableCollapseRow(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulTableId, const struct xsd__base64Binary& sInstanceKey, unsigned int ulFlags, struct tableCollapseRowResponse *lpsTableCollapseRowResponse) { return this->send_tableCollapseRow(soap_endpoint_url, soap_action, ulSessionId, ulTableId, sInstanceKey, ulFlags) || this->recv_tableCollapseRow(lpsTableCollapseRowResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_tableCollapseRow' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_tableCollapseRow(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulTableId, const struct xsd__base64Binary& sInstanceKey, unsigned int ulFlags);
        /// Web service asynchronous operation 'recv_tableCollapseRow' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_tableCollapseRow(struct tableCollapseRowResponse *lpsTableCollapseRowResponse);
        //
        /// Web service synchronous operation 'tableGetCollapseState' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int tableGetCollapseState(ULONG64 ulSessionId, unsigned int ulTableId, const struct xsd__base64Binary& sBookmark, struct tableGetCollapseStateResponse *lpsResponse) { return this->tableGetCollapseState(NULL, NULL, ulSessionId, ulTableId, sBookmark, lpsResponse); }
        /// Web service synchronous operation 'tableGetCollapseState' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int tableGetCollapseState(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulTableId, const struct xsd__base64Binary& sBookmark, struct tableGetCollapseStateResponse *lpsResponse) { return this->send_tableGetCollapseState(soap_endpoint_url, soap_action, ulSessionId, ulTableId, sBookmark) || this->recv_tableGetCollapseState(lpsResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_tableGetCollapseState' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_tableGetCollapseState(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulTableId, const struct xsd__base64Binary& sBookmark);
        /// Web service asynchronous operation 'recv_tableGetCollapseState' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_tableGetCollapseState(struct tableGetCollapseStateResponse *lpsResponse);
        //
        /// Web service synchronous operation 'tableSetCollapseState' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int tableSetCollapseState(ULONG64 ulSessionId, unsigned int ulTableId, const struct xsd__base64Binary& sCollapseState, struct tableSetCollapseStateResponse *lpsResponse) { return this->tableSetCollapseState(NULL, NULL, ulSessionId, ulTableId, sCollapseState, lpsResponse); }
        /// Web service synchronous operation 'tableSetCollapseState' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int tableSetCollapseState(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulTableId, const struct xsd__base64Binary& sCollapseState, struct tableSetCollapseStateResponse *lpsResponse) { return this->send_tableSetCollapseState(soap_endpoint_url, soap_action, ulSessionId, ulTableId, sCollapseState) || this->recv_tableSetCollapseState(lpsResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_tableSetCollapseState' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_tableSetCollapseState(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulTableId, const struct xsd__base64Binary& sCollapseState);
        /// Web service asynchronous operation 'recv_tableSetCollapseState' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_tableSetCollapseState(struct tableSetCollapseStateResponse *lpsResponse);
        //
        /// Web service synchronous operation 'tableMulti' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int tableMulti(ULONG64 ulSessionId, const struct tableMultiRequest& sRequest, struct tableMultiResponse *lpsResponse) { return this->tableMulti(NULL, NULL, ulSessionId, sRequest, lpsResponse); }
        /// Web service synchronous operation 'tableMulti' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int tableMulti(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct tableMultiRequest& sRequest, struct tableMultiResponse *lpsResponse) { return this->send_tableMulti(soap_endpoint_url, soap_action, ulSessionId, sRequest) || this->recv_tableMulti(lpsResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_tableMulti' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_tableMulti(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct tableMultiRequest& sRequest);
        /// Web service asynchronous operation 'recv_tableMulti' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_tableMulti(struct tableMultiResponse *lpsResponse);
        //
        /// Web service synchronous operation 'submitMessage' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int submitMessage(ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, unsigned int ulFlags, unsigned int *result) { return this->submitMessage(NULL, NULL, ulSessionId, sEntryId, ulFlags, result); }
        /// Web service synchronous operation 'submitMessage' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int submitMessage(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, unsigned int ulFlags, unsigned int *result) { return this->send_submitMessage(soap_endpoint_url, soap_action, ulSessionId, sEntryId, ulFlags) || this->recv_submitMessage(result) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_submitMessage' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_submitMessage(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, unsigned int ulFlags);
        /// Web service asynchronous operation 'recv_submitMessage' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_submitMessage(unsigned int *result);
        //
        /// Web service synchronous operation 'finishedMessage' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int finishedMessage(ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, unsigned int ulFlags, unsigned int *result) { return this->finishedMessage(NULL, NULL, ulSessionId, sEntryId, ulFlags, result); }
        /// Web service synchronous operation 'finishedMessage' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int finishedMessage(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, unsigned int ulFlags, unsigned int *result) { return this->send_finishedMessage(soap_endpoint_url, soap_action, ulSessionId, sEntryId, ulFlags) || this->recv_finishedMessage(result) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_finishedMessage' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_finishedMessage(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, unsigned int ulFlags);
        /// Web service asynchronous operation 'recv_finishedMessage' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_finishedMessage(unsigned int *result);
        //
        /// Web service synchronous operation 'abortSubmit' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int abortSubmit(ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, unsigned int *result) { return this->abortSubmit(NULL, NULL, ulSessionId, sEntryId, result); }
        /// Web service synchronous operation 'abortSubmit' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int abortSubmit(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, unsigned int *result) { return this->send_abortSubmit(soap_endpoint_url, soap_action, ulSessionId, sEntryId) || this->recv_abortSubmit(result) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_abortSubmit' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_abortSubmit(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId);
        /// Web service asynchronous operation 'recv_abortSubmit' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_abortSubmit(unsigned int *result);
        //
        /// Web service synchronous operation 'resolveStore' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int resolveStore(ULONG64 ulSessionId, const struct xsd__base64Binary& sStoreGuid, struct resolveUserStoreResponse *lpsResponse) { return this->resolveStore(NULL, NULL, ulSessionId, sStoreGuid, lpsResponse); }
        /// Web service synchronous operation 'resolveStore' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int resolveStore(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sStoreGuid, struct resolveUserStoreResponse *lpsResponse) { return this->send_resolveStore(soap_endpoint_url, soap_action, ulSessionId, sStoreGuid) || this->recv_resolveStore(lpsResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_resolveStore' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_resolveStore(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sStoreGuid);
        /// Web service asynchronous operation 'recv_resolveStore' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_resolveStore(struct resolveUserStoreResponse *lpsResponse);
        //
        /// Web service synchronous operation 'resolveUserStore' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int resolveUserStore(ULONG64 ulSessionId, const char *szUserName, unsigned int ulStoreTypeMask, unsigned int ulFlags, struct resolveUserStoreResponse *lpsResponse) { return this->resolveUserStore(NULL, NULL, ulSessionId, szUserName, ulStoreTypeMask, ulFlags, lpsResponse); }
        /// Web service synchronous operation 'resolveUserStore' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int resolveUserStore(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const char *szUserName, unsigned int ulStoreTypeMask, unsigned int ulFlags, struct resolveUserStoreResponse *lpsResponse) { return this->send_resolveUserStore(soap_endpoint_url, soap_action, ulSessionId, szUserName, ulStoreTypeMask, ulFlags) || this->recv_resolveUserStore(lpsResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_resolveUserStore' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_resolveUserStore(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const char *szUserName, unsigned int ulStoreTypeMask, unsigned int ulFlags);
        /// Web service asynchronous operation 'recv_resolveUserStore' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_resolveUserStore(struct resolveUserStoreResponse *lpsResponse);
        //
        /// Web service synchronous operation 'createUser' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int createUser(ULONG64 ulSessionId, struct user *lpsUser, struct setUserResponse *lpsUserSetResponse) { return this->createUser(NULL, NULL, ulSessionId, lpsUser, lpsUserSetResponse); }
        /// Web service synchronous operation 'createUser' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int createUser(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, struct user *lpsUser, struct setUserResponse *lpsUserSetResponse) { return this->send_createUser(soap_endpoint_url, soap_action, ulSessionId, lpsUser) || this->recv_createUser(lpsUserSetResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_createUser' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_createUser(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, struct user *lpsUser);
        /// Web service asynchronous operation 'recv_createUser' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_createUser(struct setUserResponse *lpsUserSetResponse);
        //
        /// Web service synchronous operation 'deleteUser' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int deleteUser(ULONG64 ulSessionId, unsigned int ulUserId, const struct xsd__base64Binary& sUserId, unsigned int *result) { return this->deleteUser(NULL, NULL, ulSessionId, ulUserId, sUserId, result); }
        /// Web service synchronous operation 'deleteUser' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int deleteUser(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulUserId, const struct xsd__base64Binary& sUserId, unsigned int *result) { return this->send_deleteUser(soap_endpoint_url, soap_action, ulSessionId, ulUserId, sUserId) || this->recv_deleteUser(result) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_deleteUser' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_deleteUser(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulUserId, const struct xsd__base64Binary& sUserId);
        /// Web service asynchronous operation 'recv_deleteUser' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_deleteUser(unsigned int *result);
        //
        /// Web service synchronous operation 'removeAllObjects' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int removeAllObjects(ULONG64 ulSessionId, const struct xsd__base64Binary& sExceptUserId, unsigned int *result) { return this->removeAllObjects(NULL, NULL, ulSessionId, sExceptUserId, result); }
        /// Web service synchronous operation 'removeAllObjects' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int removeAllObjects(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sExceptUserId, unsigned int *result) { return this->send_removeAllObjects(soap_endpoint_url, soap_action, ulSessionId, sExceptUserId) || this->recv_removeAllObjects(result) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_removeAllObjects' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_removeAllObjects(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sExceptUserId);
        /// Web service asynchronous operation 'recv_removeAllObjects' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_removeAllObjects(unsigned int *result);
        //
        /// Web service synchronous operation 'getUser' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int getUser(ULONG64 ulSessionId, unsigned int ulUserId, const struct xsd__base64Binary& sUserId, struct getUserResponse *lpsUserGetResponse) { return this->getUser(NULL, NULL, ulSessionId, ulUserId, sUserId, lpsUserGetResponse); }
        /// Web service synchronous operation 'getUser' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int getUser(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulUserId, const struct xsd__base64Binary& sUserId, struct getUserResponse *lpsUserGetResponse) { return this->send_getUser(soap_endpoint_url, soap_action, ulSessionId, ulUserId, sUserId) || this->recv_getUser(lpsUserGetResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_getUser' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_getUser(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulUserId, const struct xsd__base64Binary& sUserId);
        /// Web service asynchronous operation 'recv_getUser' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_getUser(struct getUserResponse *lpsUserGetResponse);
        //
        /// Web service synchronous operation 'setUser' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int setUser(ULONG64 ulSessionId, struct user *lpsUser, unsigned int *result) { return this->setUser(NULL, NULL, ulSessionId, lpsUser, result); }
        /// Web service synchronous operation 'setUser' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int setUser(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, struct user *lpsUser, unsigned int *result) { return this->send_setUser(soap_endpoint_url, soap_action, ulSessionId, lpsUser) || this->recv_setUser(result) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_setUser' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_setUser(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, struct user *lpsUser);
        /// Web service asynchronous operation 'recv_setUser' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_setUser(unsigned int *result);
        //
        /// Web service synchronous operation 'getUserList' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int getUserList(ULONG64 ulSessionId, unsigned int ulCompanyId, const struct xsd__base64Binary& sCompanyId, struct userListResponse *lpsUserList) { return this->getUserList(NULL, NULL, ulSessionId, ulCompanyId, sCompanyId, lpsUserList); }
        /// Web service synchronous operation 'getUserList' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int getUserList(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulCompanyId, const struct xsd__base64Binary& sCompanyId, struct userListResponse *lpsUserList) { return this->send_getUserList(soap_endpoint_url, soap_action, ulSessionId, ulCompanyId, sCompanyId) || this->recv_getUserList(lpsUserList) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_getUserList' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_getUserList(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulCompanyId, const struct xsd__base64Binary& sCompanyId);
        /// Web service asynchronous operation 'recv_getUserList' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_getUserList(struct userListResponse *lpsUserList);
        //
        /// Web service synchronous operation 'getSendAsList' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int getSendAsList(ULONG64 ulSessionId, unsigned int ulUserId, const struct xsd__base64Binary& sUserId, struct userListResponse *lpsUserList) { return this->getSendAsList(NULL, NULL, ulSessionId, ulUserId, sUserId, lpsUserList); }
        /// Web service synchronous operation 'getSendAsList' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int getSendAsList(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulUserId, const struct xsd__base64Binary& sUserId, struct userListResponse *lpsUserList) { return this->send_getSendAsList(soap_endpoint_url, soap_action, ulSessionId, ulUserId, sUserId) || this->recv_getSendAsList(lpsUserList) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_getSendAsList' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_getSendAsList(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulUserId, const struct xsd__base64Binary& sUserId);
        /// Web service asynchronous operation 'recv_getSendAsList' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_getSendAsList(struct userListResponse *lpsUserList);
        //
        /// Web service synchronous operation 'addSendAsUser' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int addSendAsUser(ULONG64 ulSessionId, unsigned int ulUserId, const struct xsd__base64Binary& sUserId, unsigned int ulSenderId, const struct xsd__base64Binary& sSenderId, unsigned int *result) { return this->addSendAsUser(NULL, NULL, ulSessionId, ulUserId, sUserId, ulSenderId, sSenderId, result); }
        /// Web service synchronous operation 'addSendAsUser' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int addSendAsUser(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulUserId, const struct xsd__base64Binary& sUserId, unsigned int ulSenderId, const struct xsd__base64Binary& sSenderId, unsigned int *result) { return this->send_addSendAsUser(soap_endpoint_url, soap_action, ulSessionId, ulUserId, sUserId, ulSenderId, sSenderId) || this->recv_addSendAsUser(result) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_addSendAsUser' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_addSendAsUser(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulUserId, const struct xsd__base64Binary& sUserId, unsigned int ulSenderId, const struct xsd__base64Binary& sSenderId);
        /// Web service asynchronous operation 'recv_addSendAsUser' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_addSendAsUser(unsigned int *result);
        //
        /// Web service synchronous operation 'delSendAsUser' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int delSendAsUser(ULONG64 ulSessionId, unsigned int ulUserId, const struct xsd__base64Binary& sUserId, unsigned int ulSenderId, const struct xsd__base64Binary& sSenderId, unsigned int *result) { return this->delSendAsUser(NULL, NULL, ulSessionId, ulUserId, sUserId, ulSenderId, sSenderId, result); }
        /// Web service synchronous operation 'delSendAsUser' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int delSendAsUser(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulUserId, const struct xsd__base64Binary& sUserId, unsigned int ulSenderId, const struct xsd__base64Binary& sSenderId, unsigned int *result) { return this->send_delSendAsUser(soap_endpoint_url, soap_action, ulSessionId, ulUserId, sUserId, ulSenderId, sSenderId) || this->recv_delSendAsUser(result) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_delSendAsUser' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_delSendAsUser(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulUserId, const struct xsd__base64Binary& sUserId, unsigned int ulSenderId, const struct xsd__base64Binary& sSenderId);
        /// Web service asynchronous operation 'recv_delSendAsUser' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_delSendAsUser(unsigned int *result);
        //
        /// Web service synchronous operation 'getUserClientUpdateStatus' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int getUserClientUpdateStatus(ULONG64 ulSessionId, const struct xsd__base64Binary& sUserId, struct userClientUpdateStatusResponse *lpsResponse) { return this->getUserClientUpdateStatus(NULL, NULL, ulSessionId, sUserId, lpsResponse); }
        /// Web service synchronous operation 'getUserClientUpdateStatus' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int getUserClientUpdateStatus(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sUserId, struct userClientUpdateStatusResponse *lpsResponse) { return this->send_getUserClientUpdateStatus(soap_endpoint_url, soap_action, ulSessionId, sUserId) || this->recv_getUserClientUpdateStatus(lpsResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_getUserClientUpdateStatus' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_getUserClientUpdateStatus(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sUserId);
        /// Web service asynchronous operation 'recv_getUserClientUpdateStatus' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_getUserClientUpdateStatus(struct userClientUpdateStatusResponse *lpsResponse);
        //
        /// Web service synchronous operation 'purgeSoftDelete' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int purgeSoftDelete(ULONG64 ulSessionId, unsigned int ulDays, unsigned int *result) { return this->purgeSoftDelete(NULL, NULL, ulSessionId, ulDays, result); }
        /// Web service synchronous operation 'purgeSoftDelete' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int purgeSoftDelete(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulDays, unsigned int *result) { return this->send_purgeSoftDelete(soap_endpoint_url, soap_action, ulSessionId, ulDays) || this->recv_purgeSoftDelete(result) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_purgeSoftDelete' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_purgeSoftDelete(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulDays);
        /// Web service asynchronous operation 'recv_purgeSoftDelete' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_purgeSoftDelete(unsigned int *result);
        //
        /// Web service synchronous operation 'purgeDeferredUpdates' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int purgeDeferredUpdates(ULONG64 ulSessionId, struct purgeDeferredUpdatesResponse *lpsResponse) { return this->purgeDeferredUpdates(NULL, NULL, ulSessionId, lpsResponse); }
        /// Web service synchronous operation 'purgeDeferredUpdates' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int purgeDeferredUpdates(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, struct purgeDeferredUpdatesResponse *lpsResponse) { return this->send_purgeDeferredUpdates(soap_endpoint_url, soap_action, ulSessionId) || this->recv_purgeDeferredUpdates(lpsResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_purgeDeferredUpdates' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_purgeDeferredUpdates(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId);
        /// Web service asynchronous operation 'recv_purgeDeferredUpdates' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_purgeDeferredUpdates(struct purgeDeferredUpdatesResponse *lpsResponse);
        //
        /// Web service synchronous operation 'purgeCache' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int purgeCache(ULONG64 ulSessionId, unsigned int ulFlags, unsigned int *result) { return this->purgeCache(NULL, NULL, ulSessionId, ulFlags, result); }
        /// Web service synchronous operation 'purgeCache' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int purgeCache(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulFlags, unsigned int *result) { return this->send_purgeCache(soap_endpoint_url, soap_action, ulSessionId, ulFlags) || this->recv_purgeCache(result) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_purgeCache' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_purgeCache(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulFlags);
        /// Web service asynchronous operation 'recv_purgeCache' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_purgeCache(unsigned int *result);
        //
        /// Web service synchronous operation 'createStore' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int createStore(ULONG64 ulSessionId, unsigned int ulStoreType, unsigned int ulUserId, const struct xsd__base64Binary& sUserId, const struct xsd__base64Binary& sStoreId, const struct xsd__base64Binary& sRootId, unsigned int ulFlags, unsigned int *result) { return this->createStore(NULL, NULL, ulSessionId, ulStoreType, ulUserId, sUserId, sStoreId, sRootId, ulFlags, result); }
        /// Web service synchronous operation 'createStore' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int createStore(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulStoreType, unsigned int ulUserId, const struct xsd__base64Binary& sUserId, const struct xsd__base64Binary& sStoreId, const struct xsd__base64Binary& sRootId, unsigned int ulFlags, unsigned int *result) { return this->send_createStore(soap_endpoint_url, soap_action, ulSessionId, ulStoreType, ulUserId, sUserId, sStoreId, sRootId, ulFlags) || this->recv_createStore(result) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_createStore' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_createStore(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulStoreType, unsigned int ulUserId, const struct xsd__base64Binary& sUserId, const struct xsd__base64Binary& sStoreId, const struct xsd__base64Binary& sRootId, unsigned int ulFlags);
        /// Web service asynchronous operation 'recv_createStore' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_createStore(unsigned int *result);
        //
        /// Web service synchronous operation 'removeStore' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int removeStore(ULONG64 ulSessionId, const struct xsd__base64Binary& sStoreGuid, unsigned int ulSyncId, unsigned int *result) { return this->removeStore(NULL, NULL, ulSessionId, sStoreGuid, ulSyncId, result); }
        /// Web service synchronous operation 'removeStore' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int removeStore(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sStoreGuid, unsigned int ulSyncId, unsigned int *result) { return this->send_removeStore(soap_endpoint_url, soap_action, ulSessionId, sStoreGuid, ulSyncId) || this->recv_removeStore(result) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_removeStore' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_removeStore(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sStoreGuid, unsigned int ulSyncId);
        /// Web service asynchronous operation 'recv_removeStore' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_removeStore(unsigned int *result);
        //
        /// Web service synchronous operation 'hookStore' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int hookStore(ULONG64 ulSessionId, unsigned int ulStoreType, const struct xsd__base64Binary& sUserId, const struct xsd__base64Binary& sStoreGuid, unsigned int ulSyncId, unsigned int *result) { return this->hookStore(NULL, NULL, ulSessionId, ulStoreType, sUserId, sStoreGuid, ulSyncId, result); }
        /// Web service synchronous operation 'hookStore' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int hookStore(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulStoreType, const struct xsd__base64Binary& sUserId, const struct xsd__base64Binary& sStoreGuid, unsigned int ulSyncId, unsigned int *result) { return this->send_hookStore(soap_endpoint_url, soap_action, ulSessionId, ulStoreType, sUserId, sStoreGuid, ulSyncId) || this->recv_hookStore(result) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_hookStore' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_hookStore(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulStoreType, const struct xsd__base64Binary& sUserId, const struct xsd__base64Binary& sStoreGuid, unsigned int ulSyncId);
        /// Web service asynchronous operation 'recv_hookStore' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_hookStore(unsigned int *result);
        //
        /// Web service synchronous operation 'unhookStore' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int unhookStore(ULONG64 ulSessionId, unsigned int ulStoreType, const struct xsd__base64Binary& sUserId, unsigned int ulSyncId, unsigned int *result) { return this->unhookStore(NULL, NULL, ulSessionId, ulStoreType, sUserId, ulSyncId, result); }
        /// Web service synchronous operation 'unhookStore' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int unhookStore(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulStoreType, const struct xsd__base64Binary& sUserId, unsigned int ulSyncId, unsigned int *result) { return this->send_unhookStore(soap_endpoint_url, soap_action, ulSessionId, ulStoreType, sUserId, ulSyncId) || this->recv_unhookStore(result) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_unhookStore' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_unhookStore(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulStoreType, const struct xsd__base64Binary& sUserId, unsigned int ulSyncId);
        /// Web service asynchronous operation 'recv_unhookStore' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_unhookStore(unsigned int *result);
        //
        /// Web service synchronous operation 'getOwner' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int getOwner(ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, struct getOwnerResponse *lpsResponse) { return this->getOwner(NULL, NULL, ulSessionId, sEntryId, lpsResponse); }
        /// Web service synchronous operation 'getOwner' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int getOwner(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, struct getOwnerResponse *lpsResponse) { return this->send_getOwner(soap_endpoint_url, soap_action, ulSessionId, sEntryId) || this->recv_getOwner(lpsResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_getOwner' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_getOwner(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId);
        /// Web service asynchronous operation 'recv_getOwner' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_getOwner(struct getOwnerResponse *lpsResponse);
        //
        /// Web service synchronous operation 'resolveUsername' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int resolveUsername(ULONG64 ulSessionId, const char *lpszUsername, struct resolveUserResponse *lpsResponse) { return this->resolveUsername(NULL, NULL, ulSessionId, lpszUsername, lpsResponse); }
        /// Web service synchronous operation 'resolveUsername' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int resolveUsername(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const char *lpszUsername, struct resolveUserResponse *lpsResponse) { return this->send_resolveUsername(soap_endpoint_url, soap_action, ulSessionId, lpszUsername) || this->recv_resolveUsername(lpsResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_resolveUsername' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_resolveUsername(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const char *lpszUsername);
        /// Web service asynchronous operation 'recv_resolveUsername' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_resolveUsername(struct resolveUserResponse *lpsResponse);
        //
        /// Web service synchronous operation 'createGroup' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int createGroup(ULONG64 ulSessionId, struct group *lpsGroup, struct setGroupResponse *lpsSetGroupResponse) { return this->createGroup(NULL, NULL, ulSessionId, lpsGroup, lpsSetGroupResponse); }
        /// Web service synchronous operation 'createGroup' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int createGroup(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, struct group *lpsGroup, struct setGroupResponse *lpsSetGroupResponse) { return this->send_createGroup(soap_endpoint_url, soap_action, ulSessionId, lpsGroup) || this->recv_createGroup(lpsSetGroupResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_createGroup' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_createGroup(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, struct group *lpsGroup);
        /// Web service asynchronous operation 'recv_createGroup' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_createGroup(struct setGroupResponse *lpsSetGroupResponse);
        //
        /// Web service synchronous operation 'setGroup' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int setGroup(ULONG64 ulSessionId, struct group *lpsGroup, unsigned int *result) { return this->setGroup(NULL, NULL, ulSessionId, lpsGroup, result); }
        /// Web service synchronous operation 'setGroup' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int setGroup(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, struct group *lpsGroup, unsigned int *result) { return this->send_setGroup(soap_endpoint_url, soap_action, ulSessionId, lpsGroup) || this->recv_setGroup(result) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_setGroup' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_setGroup(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, struct group *lpsGroup);
        /// Web service asynchronous operation 'recv_setGroup' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_setGroup(unsigned int *result);
        //
        /// Web service synchronous operation 'getGroup' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int getGroup(ULONG64 ulSessionId, unsigned int ulGroupId, const struct xsd__base64Binary& sGroupId, struct getGroupResponse *lpsReponse) { return this->getGroup(NULL, NULL, ulSessionId, ulGroupId, sGroupId, lpsReponse); }
        /// Web service synchronous operation 'getGroup' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int getGroup(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulGroupId, const struct xsd__base64Binary& sGroupId, struct getGroupResponse *lpsReponse) { return this->send_getGroup(soap_endpoint_url, soap_action, ulSessionId, ulGroupId, sGroupId) || this->recv_getGroup(lpsReponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_getGroup' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_getGroup(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulGroupId, const struct xsd__base64Binary& sGroupId);
        /// Web service asynchronous operation 'recv_getGroup' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_getGroup(struct getGroupResponse *lpsReponse);
        //
        /// Web service synchronous operation 'getGroupList' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int getGroupList(ULONG64 ulSessionId, unsigned int ulCompanyId, const struct xsd__base64Binary& sCompanyId, struct groupListResponse *lpsGroupList) { return this->getGroupList(NULL, NULL, ulSessionId, ulCompanyId, sCompanyId, lpsGroupList); }
        /// Web service synchronous operation 'getGroupList' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int getGroupList(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulCompanyId, const struct xsd__base64Binary& sCompanyId, struct groupListResponse *lpsGroupList) { return this->send_getGroupList(soap_endpoint_url, soap_action, ulSessionId, ulCompanyId, sCompanyId) || this->recv_getGroupList(lpsGroupList) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_getGroupList' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_getGroupList(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulCompanyId, const struct xsd__base64Binary& sCompanyId);
        /// Web service asynchronous operation 'recv_getGroupList' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_getGroupList(struct groupListResponse *lpsGroupList);
        //
        /// Web service synchronous operation 'groupDelete' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int groupDelete(ULONG64 ulSessionId, unsigned int ulGroupId, const struct xsd__base64Binary& sGroupId, unsigned int *result) { return this->groupDelete(NULL, NULL, ulSessionId, ulGroupId, sGroupId, result); }
        /// Web service synchronous operation 'groupDelete' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int groupDelete(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulGroupId, const struct xsd__base64Binary& sGroupId, unsigned int *result) { return this->send_groupDelete(soap_endpoint_url, soap_action, ulSessionId, ulGroupId, sGroupId) || this->recv_groupDelete(result) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_groupDelete' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_groupDelete(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulGroupId, const struct xsd__base64Binary& sGroupId);
        /// Web service asynchronous operation 'recv_groupDelete' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_groupDelete(unsigned int *result);
        //
        /// Web service synchronous operation 'resolveGroupname' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int resolveGroupname(ULONG64 ulSessionId, const char *lpszGroupname, struct resolveGroupResponse *lpsResponse) { return this->resolveGroupname(NULL, NULL, ulSessionId, lpszGroupname, lpsResponse); }
        /// Web service synchronous operation 'resolveGroupname' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int resolveGroupname(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const char *lpszGroupname, struct resolveGroupResponse *lpsResponse) { return this->send_resolveGroupname(soap_endpoint_url, soap_action, ulSessionId, lpszGroupname) || this->recv_resolveGroupname(lpsResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_resolveGroupname' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_resolveGroupname(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const char *lpszGroupname);
        /// Web service asynchronous operation 'recv_resolveGroupname' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_resolveGroupname(struct resolveGroupResponse *lpsResponse);
        //
        /// Web service synchronous operation 'deleteGroupUser' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int deleteGroupUser(ULONG64 ulSessionId, unsigned int ulGroupId, const struct xsd__base64Binary& sGroupId, unsigned int ulUserId, const struct xsd__base64Binary& sUserId, unsigned int *result) { return this->deleteGroupUser(NULL, NULL, ulSessionId, ulGroupId, sGroupId, ulUserId, sUserId, result); }
        /// Web service synchronous operation 'deleteGroupUser' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int deleteGroupUser(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulGroupId, const struct xsd__base64Binary& sGroupId, unsigned int ulUserId, const struct xsd__base64Binary& sUserId, unsigned int *result) { return this->send_deleteGroupUser(soap_endpoint_url, soap_action, ulSessionId, ulGroupId, sGroupId, ulUserId, sUserId) || this->recv_deleteGroupUser(result) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_deleteGroupUser' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_deleteGroupUser(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulGroupId, const struct xsd__base64Binary& sGroupId, unsigned int ulUserId, const struct xsd__base64Binary& sUserId);
        /// Web service asynchronous operation 'recv_deleteGroupUser' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_deleteGroupUser(unsigned int *result);
        //
        /// Web service synchronous operation 'addGroupUser' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int addGroupUser(ULONG64 ulSessionId, unsigned int ulGroupId, const struct xsd__base64Binary& sGroupId, unsigned int ulUserId, const struct xsd__base64Binary& sUserId, unsigned int *result) { return this->addGroupUser(NULL, NULL, ulSessionId, ulGroupId, sGroupId, ulUserId, sUserId, result); }
        /// Web service synchronous operation 'addGroupUser' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int addGroupUser(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulGroupId, const struct xsd__base64Binary& sGroupId, unsigned int ulUserId, const struct xsd__base64Binary& sUserId, unsigned int *result) { return this->send_addGroupUser(soap_endpoint_url, soap_action, ulSessionId, ulGroupId, sGroupId, ulUserId, sUserId) || this->recv_addGroupUser(result) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_addGroupUser' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_addGroupUser(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulGroupId, const struct xsd__base64Binary& sGroupId, unsigned int ulUserId, const struct xsd__base64Binary& sUserId);
        /// Web service asynchronous operation 'recv_addGroupUser' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_addGroupUser(unsigned int *result);
        //
        /// Web service synchronous operation 'getUserListOfGroup' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int getUserListOfGroup(ULONG64 ulSessionId, unsigned int ulGroupId, const struct xsd__base64Binary& sGroupId, struct userListResponse *lpsUserList) { return this->getUserListOfGroup(NULL, NULL, ulSessionId, ulGroupId, sGroupId, lpsUserList); }
        /// Web service synchronous operation 'getUserListOfGroup' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int getUserListOfGroup(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulGroupId, const struct xsd__base64Binary& sGroupId, struct userListResponse *lpsUserList) { return this->send_getUserListOfGroup(soap_endpoint_url, soap_action, ulSessionId, ulGroupId, sGroupId) || this->recv_getUserListOfGroup(lpsUserList) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_getUserListOfGroup' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_getUserListOfGroup(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulGroupId, const struct xsd__base64Binary& sGroupId);
        /// Web service asynchronous operation 'recv_getUserListOfGroup' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_getUserListOfGroup(struct userListResponse *lpsUserList);
        //
        /// Web service synchronous operation 'getGroupListOfUser' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int getGroupListOfUser(ULONG64 ulSessionId, unsigned int ulUserId, const struct xsd__base64Binary& sUserId, struct groupListResponse *lpsGroupList) { return this->getGroupListOfUser(NULL, NULL, ulSessionId, ulUserId, sUserId, lpsGroupList); }
        /// Web service synchronous operation 'getGroupListOfUser' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int getGroupListOfUser(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulUserId, const struct xsd__base64Binary& sUserId, struct groupListResponse *lpsGroupList) { return this->send_getGroupListOfUser(soap_endpoint_url, soap_action, ulSessionId, ulUserId, sUserId) || this->recv_getGroupListOfUser(lpsGroupList) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_getGroupListOfUser' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_getGroupListOfUser(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulUserId, const struct xsd__base64Binary& sUserId);
        /// Web service asynchronous operation 'recv_getGroupListOfUser' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_getGroupListOfUser(struct groupListResponse *lpsGroupList);
        //
        /// Web service synchronous operation 'createCompany' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int createCompany(ULONG64 ulSessionId, struct company *lpsCompany, struct setCompanyResponse *lpsResponse) { return this->createCompany(NULL, NULL, ulSessionId, lpsCompany, lpsResponse); }
        /// Web service synchronous operation 'createCompany' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int createCompany(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, struct company *lpsCompany, struct setCompanyResponse *lpsResponse) { return this->send_createCompany(soap_endpoint_url, soap_action, ulSessionId, lpsCompany) || this->recv_createCompany(lpsResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_createCompany' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_createCompany(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, struct company *lpsCompany);
        /// Web service asynchronous operation 'recv_createCompany' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_createCompany(struct setCompanyResponse *lpsResponse);
        //
        /// Web service synchronous operation 'deleteCompany' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int deleteCompany(ULONG64 ulSessionId, unsigned int ulCompanyId, const struct xsd__base64Binary& sCompanyId, unsigned int *result) { return this->deleteCompany(NULL, NULL, ulSessionId, ulCompanyId, sCompanyId, result); }
        /// Web service synchronous operation 'deleteCompany' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int deleteCompany(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulCompanyId, const struct xsd__base64Binary& sCompanyId, unsigned int *result) { return this->send_deleteCompany(soap_endpoint_url, soap_action, ulSessionId, ulCompanyId, sCompanyId) || this->recv_deleteCompany(result) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_deleteCompany' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_deleteCompany(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulCompanyId, const struct xsd__base64Binary& sCompanyId);
        /// Web service asynchronous operation 'recv_deleteCompany' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_deleteCompany(unsigned int *result);
        //
        /// Web service synchronous operation 'setCompany' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int setCompany(ULONG64 ulSessionId, struct company *lpsCompany, unsigned int *result) { return this->setCompany(NULL, NULL, ulSessionId, lpsCompany, result); }
        /// Web service synchronous operation 'setCompany' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int setCompany(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, struct company *lpsCompany, unsigned int *result) { return this->send_setCompany(soap_endpoint_url, soap_action, ulSessionId, lpsCompany) || this->recv_setCompany(result) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_setCompany' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_setCompany(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, struct company *lpsCompany);
        /// Web service asynchronous operation 'recv_setCompany' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_setCompany(unsigned int *result);
        //
        /// Web service synchronous operation 'getCompany' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int getCompany(ULONG64 ulSessionId, unsigned int ulCompanyId, const struct xsd__base64Binary& sCompanyId, struct getCompanyResponse *lpsResponse) { return this->getCompany(NULL, NULL, ulSessionId, ulCompanyId, sCompanyId, lpsResponse); }
        /// Web service synchronous operation 'getCompany' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int getCompany(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulCompanyId, const struct xsd__base64Binary& sCompanyId, struct getCompanyResponse *lpsResponse) { return this->send_getCompany(soap_endpoint_url, soap_action, ulSessionId, ulCompanyId, sCompanyId) || this->recv_getCompany(lpsResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_getCompany' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_getCompany(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulCompanyId, const struct xsd__base64Binary& sCompanyId);
        /// Web service asynchronous operation 'recv_getCompany' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_getCompany(struct getCompanyResponse *lpsResponse);
        //
        /// Web service synchronous operation 'resolveCompanyname' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int resolveCompanyname(ULONG64 ulSessionId, const char *lpszCompanyname, struct resolveCompanyResponse *lpsResponse) { return this->resolveCompanyname(NULL, NULL, ulSessionId, lpszCompanyname, lpsResponse); }
        /// Web service synchronous operation 'resolveCompanyname' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int resolveCompanyname(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const char *lpszCompanyname, struct resolveCompanyResponse *lpsResponse) { return this->send_resolveCompanyname(soap_endpoint_url, soap_action, ulSessionId, lpszCompanyname) || this->recv_resolveCompanyname(lpsResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_resolveCompanyname' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_resolveCompanyname(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const char *lpszCompanyname);
        /// Web service asynchronous operation 'recv_resolveCompanyname' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_resolveCompanyname(struct resolveCompanyResponse *lpsResponse);
        //
        /// Web service synchronous operation 'getCompanyList' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int getCompanyList(ULONG64 ulSessionId, struct companyListResponse *lpsCompanyList) { return this->getCompanyList(NULL, NULL, ulSessionId, lpsCompanyList); }
        /// Web service synchronous operation 'getCompanyList' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int getCompanyList(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, struct companyListResponse *lpsCompanyList) { return this->send_getCompanyList(soap_endpoint_url, soap_action, ulSessionId) || this->recv_getCompanyList(lpsCompanyList) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_getCompanyList' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_getCompanyList(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId);
        /// Web service asynchronous operation 'recv_getCompanyList' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_getCompanyList(struct companyListResponse *lpsCompanyList);
        //
        /// Web service synchronous operation 'addCompanyToRemoteViewList' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int addCompanyToRemoteViewList(ULONG64 ecSessionId, unsigned int ulSetCompanyId, const struct xsd__base64Binary& sSetCompanyId, unsigned int ulCompanyId, const struct xsd__base64Binary& sCompanyId, unsigned int *result) { return this->addCompanyToRemoteViewList(NULL, NULL, ecSessionId, ulSetCompanyId, sSetCompanyId, ulCompanyId, sCompanyId, result); }
        /// Web service synchronous operation 'addCompanyToRemoteViewList' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int addCompanyToRemoteViewList(const char *soap_endpoint_url, const char *soap_action, ULONG64 ecSessionId, unsigned int ulSetCompanyId, const struct xsd__base64Binary& sSetCompanyId, unsigned int ulCompanyId, const struct xsd__base64Binary& sCompanyId, unsigned int *result) { return this->send_addCompanyToRemoteViewList(soap_endpoint_url, soap_action, ecSessionId, ulSetCompanyId, sSetCompanyId, ulCompanyId, sCompanyId) || this->recv_addCompanyToRemoteViewList(result) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_addCompanyToRemoteViewList' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_addCompanyToRemoteViewList(const char *soap_endpoint_url, const char *soap_action, ULONG64 ecSessionId, unsigned int ulSetCompanyId, const struct xsd__base64Binary& sSetCompanyId, unsigned int ulCompanyId, const struct xsd__base64Binary& sCompanyId);
        /// Web service asynchronous operation 'recv_addCompanyToRemoteViewList' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_addCompanyToRemoteViewList(unsigned int *result);
        //
        /// Web service synchronous operation 'delCompanyFromRemoteViewList' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int delCompanyFromRemoteViewList(ULONG64 ecSessionId, unsigned int ulSetCompanyId, const struct xsd__base64Binary& sSetCompanyId, unsigned int ulCompanyId, const struct xsd__base64Binary& sCompanyId, unsigned int *result) { return this->delCompanyFromRemoteViewList(NULL, NULL, ecSessionId, ulSetCompanyId, sSetCompanyId, ulCompanyId, sCompanyId, result); }
        /// Web service synchronous operation 'delCompanyFromRemoteViewList' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int delCompanyFromRemoteViewList(const char *soap_endpoint_url, const char *soap_action, ULONG64 ecSessionId, unsigned int ulSetCompanyId, const struct xsd__base64Binary& sSetCompanyId, unsigned int ulCompanyId, const struct xsd__base64Binary& sCompanyId, unsigned int *result) { return this->send_delCompanyFromRemoteViewList(soap_endpoint_url, soap_action, ecSessionId, ulSetCompanyId, sSetCompanyId, ulCompanyId, sCompanyId) || this->recv_delCompanyFromRemoteViewList(result) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_delCompanyFromRemoteViewList' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_delCompanyFromRemoteViewList(const char *soap_endpoint_url, const char *soap_action, ULONG64 ecSessionId, unsigned int ulSetCompanyId, const struct xsd__base64Binary& sSetCompanyId, unsigned int ulCompanyId, const struct xsd__base64Binary& sCompanyId);
        /// Web service asynchronous operation 'recv_delCompanyFromRemoteViewList' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_delCompanyFromRemoteViewList(unsigned int *result);
        //
        /// Web service synchronous operation 'getRemoteViewList' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int getRemoteViewList(ULONG64 ecSessionId, unsigned int ulCompanyId, const struct xsd__base64Binary& sCompanyId, struct companyListResponse *lpsCompanyList) { return this->getRemoteViewList(NULL, NULL, ecSessionId, ulCompanyId, sCompanyId, lpsCompanyList); }
        /// Web service synchronous operation 'getRemoteViewList' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int getRemoteViewList(const char *soap_endpoint_url, const char *soap_action, ULONG64 ecSessionId, unsigned int ulCompanyId, const struct xsd__base64Binary& sCompanyId, struct companyListResponse *lpsCompanyList) { return this->send_getRemoteViewList(soap_endpoint_url, soap_action, ecSessionId, ulCompanyId, sCompanyId) || this->recv_getRemoteViewList(lpsCompanyList) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_getRemoteViewList' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_getRemoteViewList(const char *soap_endpoint_url, const char *soap_action, ULONG64 ecSessionId, unsigned int ulCompanyId, const struct xsd__base64Binary& sCompanyId);
        /// Web service asynchronous operation 'recv_getRemoteViewList' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_getRemoteViewList(struct companyListResponse *lpsCompanyList);
        //
        /// Web service synchronous operation 'addUserToRemoteAdminList' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int addUserToRemoteAdminList(ULONG64 ecSessionId, unsigned int ulUserId, const struct xsd__base64Binary& sUserId, unsigned int ulCompanyId, const struct xsd__base64Binary& sCompanyId, unsigned int *result) { return this->addUserToRemoteAdminList(NULL, NULL, ecSessionId, ulUserId, sUserId, ulCompanyId, sCompanyId, result); }
        /// Web service synchronous operation 'addUserToRemoteAdminList' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int addUserToRemoteAdminList(const char *soap_endpoint_url, const char *soap_action, ULONG64 ecSessionId, unsigned int ulUserId, const struct xsd__base64Binary& sUserId, unsigned int ulCompanyId, const struct xsd__base64Binary& sCompanyId, unsigned int *result) { return this->send_addUserToRemoteAdminList(soap_endpoint_url, soap_action, ecSessionId, ulUserId, sUserId, ulCompanyId, sCompanyId) || this->recv_addUserToRemoteAdminList(result) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_addUserToRemoteAdminList' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_addUserToRemoteAdminList(const char *soap_endpoint_url, const char *soap_action, ULONG64 ecSessionId, unsigned int ulUserId, const struct xsd__base64Binary& sUserId, unsigned int ulCompanyId, const struct xsd__base64Binary& sCompanyId);
        /// Web service asynchronous operation 'recv_addUserToRemoteAdminList' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_addUserToRemoteAdminList(unsigned int *result);
        //
        /// Web service synchronous operation 'delUserFromRemoteAdminList' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int delUserFromRemoteAdminList(ULONG64 ecSessionId, unsigned int ulUserId, const struct xsd__base64Binary& sUserId, unsigned int ulCompanyId, const struct xsd__base64Binary& sCompanyId, unsigned int *result) { return this->delUserFromRemoteAdminList(NULL, NULL, ecSessionId, ulUserId, sUserId, ulCompanyId, sCompanyId, result); }
        /// Web service synchronous operation 'delUserFromRemoteAdminList' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int delUserFromRemoteAdminList(const char *soap_endpoint_url, const char *soap_action, ULONG64 ecSessionId, unsigned int ulUserId, const struct xsd__base64Binary& sUserId, unsigned int ulCompanyId, const struct xsd__base64Binary& sCompanyId, unsigned int *result) { return this->send_delUserFromRemoteAdminList(soap_endpoint_url, soap_action, ecSessionId, ulUserId, sUserId, ulCompanyId, sCompanyId) || this->recv_delUserFromRemoteAdminList(result) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_delUserFromRemoteAdminList' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_delUserFromRemoteAdminList(const char *soap_endpoint_url, const char *soap_action, ULONG64 ecSessionId, unsigned int ulUserId, const struct xsd__base64Binary& sUserId, unsigned int ulCompanyId, const struct xsd__base64Binary& sCompanyId);
        /// Web service asynchronous operation 'recv_delUserFromRemoteAdminList' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_delUserFromRemoteAdminList(unsigned int *result);
        //
        /// Web service synchronous operation 'getRemoteAdminList' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int getRemoteAdminList(ULONG64 ecSessionId, unsigned int ulCompanyId, const struct xsd__base64Binary& sCompanyId, struct userListResponse *lpsUserList) { return this->getRemoteAdminList(NULL, NULL, ecSessionId, ulCompanyId, sCompanyId, lpsUserList); }
        /// Web service synchronous operation 'getRemoteAdminList' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int getRemoteAdminList(const char *soap_endpoint_url, const char *soap_action, ULONG64 ecSessionId, unsigned int ulCompanyId, const struct xsd__base64Binary& sCompanyId, struct userListResponse *lpsUserList) { return this->send_getRemoteAdminList(soap_endpoint_url, soap_action, ecSessionId, ulCompanyId, sCompanyId) || this->recv_getRemoteAdminList(lpsUserList) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_getRemoteAdminList' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_getRemoteAdminList(const char *soap_endpoint_url, const char *soap_action, ULONG64 ecSessionId, unsigned int ulCompanyId, const struct xsd__base64Binary& sCompanyId);
        /// Web service asynchronous operation 'recv_getRemoteAdminList' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_getRemoteAdminList(struct userListResponse *lpsUserList);
        //
        /// Web service synchronous operation 'checkExistObject' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int checkExistObject(ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, unsigned int ulFlags, unsigned int *result) { return this->checkExistObject(NULL, NULL, ulSessionId, sEntryId, ulFlags, result); }
        /// Web service synchronous operation 'checkExistObject' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int checkExistObject(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, unsigned int ulFlags, unsigned int *result) { return this->send_checkExistObject(soap_endpoint_url, soap_action, ulSessionId, sEntryId, ulFlags) || this->recv_checkExistObject(result) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_checkExistObject' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_checkExistObject(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, unsigned int ulFlags);
        /// Web service asynchronous operation 'recv_checkExistObject' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_checkExistObject(unsigned int *result);
        //
        /// Web service synchronous operation 'readABProps' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int readABProps(ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, struct readPropsResponse *readPropsResponse) { return this->readABProps(NULL, NULL, ulSessionId, sEntryId, readPropsResponse); }
        /// Web service synchronous operation 'readABProps' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int readABProps(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, struct readPropsResponse *readPropsResponse) { return this->send_readABProps(soap_endpoint_url, soap_action, ulSessionId, sEntryId) || this->recv_readABProps(readPropsResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_readABProps' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_readABProps(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId);
        /// Web service asynchronous operation 'recv_readABProps' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_readABProps(struct readPropsResponse *readPropsResponse);
        //
        /// Web service synchronous operation 'abResolveNames' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int abResolveNames(ULONG64 ulSessionId, struct propTagArray *lpaPropTag, struct rowSet *lpsRowSet, struct flagArray *lpaFlags, unsigned int ulFlags, struct abResolveNamesResponse *lpsABResolveNames) { return this->abResolveNames(NULL, NULL, ulSessionId, lpaPropTag, lpsRowSet, lpaFlags, ulFlags, lpsABResolveNames); }
        /// Web service synchronous operation 'abResolveNames' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int abResolveNames(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, struct propTagArray *lpaPropTag, struct rowSet *lpsRowSet, struct flagArray *lpaFlags, unsigned int ulFlags, struct abResolveNamesResponse *lpsABResolveNames) { return this->send_abResolveNames(soap_endpoint_url, soap_action, ulSessionId, lpaPropTag, lpsRowSet, lpaFlags, ulFlags) || this->recv_abResolveNames(lpsABResolveNames) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_abResolveNames' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_abResolveNames(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, struct propTagArray *lpaPropTag, struct rowSet *lpsRowSet, struct flagArray *lpaFlags, unsigned int ulFlags);
        /// Web service asynchronous operation 'recv_abResolveNames' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_abResolveNames(struct abResolveNamesResponse *lpsABResolveNames);
        //
        /// Web service synchronous operation 'syncUsers' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int syncUsers(ULONG64 ulSessionId, unsigned int ulCompanyId, const struct xsd__base64Binary& sCompanyId, unsigned int *result) { return this->syncUsers(NULL, NULL, ulSessionId, ulCompanyId, sCompanyId, result); }
        /// Web service synchronous operation 'syncUsers' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int syncUsers(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulCompanyId, const struct xsd__base64Binary& sCompanyId, unsigned int *result) { return this->send_syncUsers(soap_endpoint_url, soap_action, ulSessionId, ulCompanyId, sCompanyId) || this->recv_syncUsers(result) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_syncUsers' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_syncUsers(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulCompanyId, const struct xsd__base64Binary& sCompanyId);
        /// Web service asynchronous operation 'recv_syncUsers' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_syncUsers(unsigned int *result);
        //
        /// Web service synchronous operation 'setLockState' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int setLockState(ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, bool bLocked, unsigned int *result) { return this->setLockState(NULL, NULL, ulSessionId, sEntryId, bLocked, result); }
        /// Web service synchronous operation 'setLockState' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int setLockState(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, bool bLocked, unsigned int *result) { return this->send_setLockState(soap_endpoint_url, soap_action, ulSessionId, sEntryId, bLocked) || this->recv_setLockState(result) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_setLockState' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_setLockState(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, bool bLocked);
        /// Web service asynchronous operation 'recv_setLockState' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_setLockState(unsigned int *result);
        //
        /// Web service synchronous operation 'resetFolderCount' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int resetFolderCount(ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, struct resetFolderCountResponse *lpsResponse) { return this->resetFolderCount(NULL, NULL, ulSessionId, sEntryId, lpsResponse); }
        /// Web service synchronous operation 'resetFolderCount' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int resetFolderCount(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, struct resetFolderCountResponse *lpsResponse) { return this->send_resetFolderCount(soap_endpoint_url, soap_action, ulSessionId, sEntryId) || this->recv_resetFolderCount(lpsResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_resetFolderCount' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_resetFolderCount(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId);
        /// Web service asynchronous operation 'recv_resetFolderCount' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_resetFolderCount(struct resetFolderCountResponse *lpsResponse);
        //
        /// Web service synchronous operation 'GetQuota' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int GetQuota(ULONG64 ulSessionId, unsigned int ulUserid, const struct xsd__base64Binary& sUserId, bool bGetUserDefault, struct quotaResponse *lpsQuota) { return this->GetQuota(NULL, NULL, ulSessionId, ulUserid, sUserId, bGetUserDefault, lpsQuota); }
        /// Web service synchronous operation 'GetQuota' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int GetQuota(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulUserid, const struct xsd__base64Binary& sUserId, bool bGetUserDefault, struct quotaResponse *lpsQuota) { return this->send_GetQuota(soap_endpoint_url, soap_action, ulSessionId, ulUserid, sUserId, bGetUserDefault) || this->recv_GetQuota(lpsQuota) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_GetQuota' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_GetQuota(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulUserid, const struct xsd__base64Binary& sUserId, bool bGetUserDefault);
        /// Web service asynchronous operation 'recv_GetQuota' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_GetQuota(struct quotaResponse *lpsQuota);
        //
        /// Web service synchronous operation 'SetQuota' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int SetQuota(ULONG64 ulSessionId, unsigned int ulUserid, const struct xsd__base64Binary& sUserId, struct quota *lpsQuota, unsigned int *result) { return this->SetQuota(NULL, NULL, ulSessionId, ulUserid, sUserId, lpsQuota, result); }
        /// Web service synchronous operation 'SetQuota' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int SetQuota(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulUserid, const struct xsd__base64Binary& sUserId, struct quota *lpsQuota, unsigned int *result) { return this->send_SetQuota(soap_endpoint_url, soap_action, ulSessionId, ulUserid, sUserId, lpsQuota) || this->recv_SetQuota(result) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_SetQuota' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_SetQuota(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulUserid, const struct xsd__base64Binary& sUserId, struct quota *lpsQuota);
        /// Web service asynchronous operation 'recv_SetQuota' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_SetQuota(unsigned int *result);
        //
        /// Web service synchronous operation 'AddQuotaRecipient' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int AddQuotaRecipient(ULONG64 ulSessionId, unsigned int ulCompanyid, const struct xsd__base64Binary& sCompanyId, unsigned int ulRecipientId, const struct xsd__base64Binary& sRecipientId, unsigned int ulType, unsigned int *result) { return this->AddQuotaRecipient(NULL, NULL, ulSessionId, ulCompanyid, sCompanyId, ulRecipientId, sRecipientId, ulType, result); }
        /// Web service synchronous operation 'AddQuotaRecipient' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int AddQuotaRecipient(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulCompanyid, const struct xsd__base64Binary& sCompanyId, unsigned int ulRecipientId, const struct xsd__base64Binary& sRecipientId, unsigned int ulType, unsigned int *result) { return this->send_AddQuotaRecipient(soap_endpoint_url, soap_action, ulSessionId, ulCompanyid, sCompanyId, ulRecipientId, sRecipientId, ulType) || this->recv_AddQuotaRecipient(result) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_AddQuotaRecipient' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_AddQuotaRecipient(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulCompanyid, const struct xsd__base64Binary& sCompanyId, unsigned int ulRecipientId, const struct xsd__base64Binary& sRecipientId, unsigned int ulType);
        /// Web service asynchronous operation 'recv_AddQuotaRecipient' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_AddQuotaRecipient(unsigned int *result);
        //
        /// Web service synchronous operation 'DeleteQuotaRecipient' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int DeleteQuotaRecipient(ULONG64 ulSessionId, unsigned int ulCompanyid, const struct xsd__base64Binary& sCompanyId, unsigned int ulRecipientId, const struct xsd__base64Binary& sRecipientId, unsigned int ulType, unsigned int *result) { return this->DeleteQuotaRecipient(NULL, NULL, ulSessionId, ulCompanyid, sCompanyId, ulRecipientId, sRecipientId, ulType, result); }
        /// Web service synchronous operation 'DeleteQuotaRecipient' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int DeleteQuotaRecipient(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulCompanyid, const struct xsd__base64Binary& sCompanyId, unsigned int ulRecipientId, const struct xsd__base64Binary& sRecipientId, unsigned int ulType, unsigned int *result) { return this->send_DeleteQuotaRecipient(soap_endpoint_url, soap_action, ulSessionId, ulCompanyid, sCompanyId, ulRecipientId, sRecipientId, ulType) || this->recv_DeleteQuotaRecipient(result) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_DeleteQuotaRecipient' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_DeleteQuotaRecipient(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulCompanyid, const struct xsd__base64Binary& sCompanyId, unsigned int ulRecipientId, const struct xsd__base64Binary& sRecipientId, unsigned int ulType);
        /// Web service asynchronous operation 'recv_DeleteQuotaRecipient' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_DeleteQuotaRecipient(unsigned int *result);
        //
        /// Web service synchronous operation 'GetQuotaRecipients' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int GetQuotaRecipients(ULONG64 ulSessionId, unsigned int ulUserid, const struct xsd__base64Binary& sUserId, struct userListResponse *lpsResponse) { return this->GetQuotaRecipients(NULL, NULL, ulSessionId, ulUserid, sUserId, lpsResponse); }
        /// Web service synchronous operation 'GetQuotaRecipients' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int GetQuotaRecipients(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulUserid, const struct xsd__base64Binary& sUserId, struct userListResponse *lpsResponse) { return this->send_GetQuotaRecipients(soap_endpoint_url, soap_action, ulSessionId, ulUserid, sUserId) || this->recv_GetQuotaRecipients(lpsResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_GetQuotaRecipients' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_GetQuotaRecipients(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulUserid, const struct xsd__base64Binary& sUserId);
        /// Web service asynchronous operation 'recv_GetQuotaRecipients' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_GetQuotaRecipients(struct userListResponse *lpsResponse);
        //
        /// Web service synchronous operation 'GetQuotaStatus' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int GetQuotaStatus(ULONG64 ulSessionId, unsigned int ulUserid, const struct xsd__base64Binary& sUserId, struct quotaStatus *lpsQuotaStatus) { return this->GetQuotaStatus(NULL, NULL, ulSessionId, ulUserid, sUserId, lpsQuotaStatus); }
        /// Web service synchronous operation 'GetQuotaStatus' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int GetQuotaStatus(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulUserid, const struct xsd__base64Binary& sUserId, struct quotaStatus *lpsQuotaStatus) { return this->send_GetQuotaStatus(soap_endpoint_url, soap_action, ulSessionId, ulUserid, sUserId) || this->recv_GetQuotaStatus(lpsQuotaStatus) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_GetQuotaStatus' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_GetQuotaStatus(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulUserid, const struct xsd__base64Binary& sUserId);
        /// Web service asynchronous operation 'recv_GetQuotaStatus' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_GetQuotaStatus(struct quotaStatus *lpsQuotaStatus);
        //
        /// Web service synchronous operation 'getChanges' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int getChanges(ULONG64 ulSessionId, const struct xsd__base64Binary& sSourceKeyFolder, unsigned int ulSyncId, unsigned int ulChangeId, unsigned int ulChangeType, unsigned int ulFlags, struct restrictTable *lpsRestrict, struct icsChangeResponse *lpsChanges) { return this->getChanges(NULL, NULL, ulSessionId, sSourceKeyFolder, ulSyncId, ulChangeId, ulChangeType, ulFlags, lpsRestrict, lpsChanges); }
        /// Web service synchronous operation 'getChanges' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int getChanges(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sSourceKeyFolder, unsigned int ulSyncId, unsigned int ulChangeId, unsigned int ulChangeType, unsigned int ulFlags, struct restrictTable *lpsRestrict, struct icsChangeResponse *lpsChanges) { return this->send_getChanges(soap_endpoint_url, soap_action, ulSessionId, sSourceKeyFolder, ulSyncId, ulChangeId, ulChangeType, ulFlags, lpsRestrict) || this->recv_getChanges(lpsChanges) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_getChanges' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_getChanges(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sSourceKeyFolder, unsigned int ulSyncId, unsigned int ulChangeId, unsigned int ulChangeType, unsigned int ulFlags, struct restrictTable *lpsRestrict);
        /// Web service asynchronous operation 'recv_getChanges' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_getChanges(struct icsChangeResponse *lpsChanges);
        //
        /// Web service synchronous operation 'setSyncStatus' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int setSyncStatus(ULONG64 ulSessionId, const struct xsd__base64Binary& sSourceKeyFolder, unsigned int ulSyncId, unsigned int ulChangeId, unsigned int ulChangeType, unsigned int ulFlags, struct setSyncStatusResponse *lpsResponse) { return this->setSyncStatus(NULL, NULL, ulSessionId, sSourceKeyFolder, ulSyncId, ulChangeId, ulChangeType, ulFlags, lpsResponse); }
        /// Web service synchronous operation 'setSyncStatus' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int setSyncStatus(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sSourceKeyFolder, unsigned int ulSyncId, unsigned int ulChangeId, unsigned int ulChangeType, unsigned int ulFlags, struct setSyncStatusResponse *lpsResponse) { return this->send_setSyncStatus(soap_endpoint_url, soap_action, ulSessionId, sSourceKeyFolder, ulSyncId, ulChangeId, ulChangeType, ulFlags) || this->recv_setSyncStatus(lpsResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_setSyncStatus' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_setSyncStatus(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sSourceKeyFolder, unsigned int ulSyncId, unsigned int ulChangeId, unsigned int ulChangeType, unsigned int ulFlags);
        /// Web service asynchronous operation 'recv_setSyncStatus' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_setSyncStatus(struct setSyncStatusResponse *lpsResponse);
        //
        /// Web service synchronous operation 'getEntryIDFromSourceKey' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int getEntryIDFromSourceKey(ULONG64 ulSessionId, const struct xsd__base64Binary& sStoreId, const struct xsd__base64Binary& folderSourceKey, const struct xsd__base64Binary& messageSourceKey, struct getEntryIDFromSourceKeyResponse *lpsResponse) { return this->getEntryIDFromSourceKey(NULL, NULL, ulSessionId, sStoreId, folderSourceKey, messageSourceKey, lpsResponse); }
        /// Web service synchronous operation 'getEntryIDFromSourceKey' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int getEntryIDFromSourceKey(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sStoreId, const struct xsd__base64Binary& folderSourceKey, const struct xsd__base64Binary& messageSourceKey, struct getEntryIDFromSourceKeyResponse *lpsResponse) { return this->send_getEntryIDFromSourceKey(soap_endpoint_url, soap_action, ulSessionId, sStoreId, folderSourceKey, messageSourceKey) || this->recv_getEntryIDFromSourceKey(lpsResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_getEntryIDFromSourceKey' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_getEntryIDFromSourceKey(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sStoreId, const struct xsd__base64Binary& folderSourceKey, const struct xsd__base64Binary& messageSourceKey);
        /// Web service asynchronous operation 'recv_getEntryIDFromSourceKey' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_getEntryIDFromSourceKey(struct getEntryIDFromSourceKeyResponse *lpsResponse);
        //
        /// Web service synchronous operation 'getSyncStates' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int getSyncStates(ULONG64 ulSessionId, const struct mv_long& ulaSyncId, struct getSyncStatesReponse *lpsResponse) { return this->getSyncStates(NULL, NULL, ulSessionId, ulaSyncId, lpsResponse); }
        /// Web service synchronous operation 'getSyncStates' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int getSyncStates(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct mv_long& ulaSyncId, struct getSyncStatesReponse *lpsResponse) { return this->send_getSyncStates(soap_endpoint_url, soap_action, ulSessionId, ulaSyncId) || this->recv_getSyncStates(lpsResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_getSyncStates' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_getSyncStates(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct mv_long& ulaSyncId);
        /// Web service asynchronous operation 'recv_getSyncStates' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_getSyncStates(struct getSyncStatesReponse *lpsResponse);
        //
        /// Web service synchronous operation 'getLicenseAuth' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int getLicenseAuth(ULONG64 ulSessionId, const struct xsd__base64Binary& sAuthData, struct getLicenseAuthResponse *lpsResponse) { return this->getLicenseAuth(NULL, NULL, ulSessionId, sAuthData, lpsResponse); }
        /// Web service synchronous operation 'getLicenseAuth' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int getLicenseAuth(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sAuthData, struct getLicenseAuthResponse *lpsResponse) { return this->send_getLicenseAuth(soap_endpoint_url, soap_action, ulSessionId, sAuthData) || this->recv_getLicenseAuth(lpsResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_getLicenseAuth' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_getLicenseAuth(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sAuthData);
        /// Web service asynchronous operation 'recv_getLicenseAuth' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_getLicenseAuth(struct getLicenseAuthResponse *lpsResponse);
        //
        /// Web service synchronous operation 'resolvePseudoUrl' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int resolvePseudoUrl(ULONG64 ulSessionId, const char *lpszPseudoUrl, struct resolvePseudoUrlResponse *lpsResponse) { return this->resolvePseudoUrl(NULL, NULL, ulSessionId, lpszPseudoUrl, lpsResponse); }
        /// Web service synchronous operation 'resolvePseudoUrl' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int resolvePseudoUrl(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const char *lpszPseudoUrl, struct resolvePseudoUrlResponse *lpsResponse) { return this->send_resolvePseudoUrl(soap_endpoint_url, soap_action, ulSessionId, lpszPseudoUrl) || this->recv_resolvePseudoUrl(lpsResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_resolvePseudoUrl' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_resolvePseudoUrl(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const char *lpszPseudoUrl);
        /// Web service asynchronous operation 'recv_resolvePseudoUrl' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_resolvePseudoUrl(struct resolvePseudoUrlResponse *lpsResponse);
        //
        /// Web service synchronous operation 'getServerDetails' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int getServerDetails(ULONG64 ulSessionId, const struct mv_string8& szaSvrNameList, unsigned int ulFlags, struct getServerDetailsResponse *lpsResponse) { return this->getServerDetails(NULL, NULL, ulSessionId, szaSvrNameList, ulFlags, lpsResponse); }
        /// Web service synchronous operation 'getServerDetails' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int getServerDetails(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct mv_string8& szaSvrNameList, unsigned int ulFlags, struct getServerDetailsResponse *lpsResponse) { return this->send_getServerDetails(soap_endpoint_url, soap_action, ulSessionId, szaSvrNameList, ulFlags) || this->recv_getServerDetails(lpsResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_getServerDetails' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_getServerDetails(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct mv_string8& szaSvrNameList, unsigned int ulFlags);
        /// Web service asynchronous operation 'recv_getServerDetails' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_getServerDetails(struct getServerDetailsResponse *lpsResponse);
        //
        /// Web service synchronous operation 'exportMessageChangesAsStream' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int exportMessageChangesAsStream(ULONG64 ulSessionId, unsigned int ulFlags, const struct propTagArray& sPropTags, const struct sourceKeyPairArray& _param_1, unsigned int ulPropTag, struct exportMessageChangesAsStreamResponse *lpsResponse) { return this->exportMessageChangesAsStream(NULL, NULL, ulSessionId, ulFlags, sPropTags, _param_1, ulPropTag, lpsResponse); }
        /// Web service synchronous operation 'exportMessageChangesAsStream' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int exportMessageChangesAsStream(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulFlags, const struct propTagArray& sPropTags, const struct sourceKeyPairArray& _param_1, unsigned int ulPropTag, struct exportMessageChangesAsStreamResponse *lpsResponse) { return this->send_exportMessageChangesAsStream(soap_endpoint_url, soap_action, ulSessionId, ulFlags, sPropTags, _param_1, ulPropTag) || this->recv_exportMessageChangesAsStream(lpsResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_exportMessageChangesAsStream' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_exportMessageChangesAsStream(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulFlags, const struct propTagArray& sPropTags, const struct sourceKeyPairArray& _param_1, unsigned int ulPropTag);
        /// Web service asynchronous operation 'recv_exportMessageChangesAsStream' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_exportMessageChangesAsStream(struct exportMessageChangesAsStreamResponse *lpsResponse);
        //
        /// Web service synchronous operation 'importMessageFromStream' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int importMessageFromStream(ULONG64 ulSessionId, unsigned int ulFlags, unsigned int ulSyncId, const struct xsd__base64Binary& sParentEntryId, const struct xsd__base64Binary& sEntryId, bool bIsNew, struct propVal *lpsConflictItems, const struct xsd__Binary& sStreamData, unsigned int *result) { return this->importMessageFromStream(NULL, NULL, ulSessionId, ulFlags, ulSyncId, sParentEntryId, sEntryId, bIsNew, lpsConflictItems, sStreamData, result); }
        /// Web service synchronous operation 'importMessageFromStream' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int importMessageFromStream(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulFlags, unsigned int ulSyncId, const struct xsd__base64Binary& sParentEntryId, const struct xsd__base64Binary& sEntryId, bool bIsNew, struct propVal *lpsConflictItems, const struct xsd__Binary& sStreamData, unsigned int *result) { return this->send_importMessageFromStream(soap_endpoint_url, soap_action, ulSessionId, ulFlags, ulSyncId, sParentEntryId, sEntryId, bIsNew, lpsConflictItems, sStreamData) || this->recv_importMessageFromStream(result) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_importMessageFromStream' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_importMessageFromStream(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, unsigned int ulFlags, unsigned int ulSyncId, const struct xsd__base64Binary& sParentEntryId, const struct xsd__base64Binary& sEntryId, bool bIsNew, struct propVal *lpsConflictItems, const struct xsd__Binary& sStreamData);
        /// Web service asynchronous operation 'recv_importMessageFromStream' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_importMessageFromStream(unsigned int *result);
        //
        /// Web service synchronous operation 'getChangeInfo' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int getChangeInfo(ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, struct getChangeInfoResponse *lpsResponse) { return this->getChangeInfo(NULL, NULL, ulSessionId, sEntryId, lpsResponse); }
        /// Web service synchronous operation 'getChangeInfo' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int getChangeInfo(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, struct getChangeInfoResponse *lpsResponse) { return this->send_getChangeInfo(soap_endpoint_url, soap_action, ulSessionId, sEntryId) || this->recv_getChangeInfo(lpsResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_getChangeInfo' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_getChangeInfo(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId);
        /// Web service asynchronous operation 'recv_getChangeInfo' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_getChangeInfo(struct getChangeInfoResponse *lpsResponse);
        //
        /// Web service synchronous operation 'testPerform' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int testPerform(ULONG64 ulSessionId, const char *cmd, const struct testPerformArgs& sPerform, unsigned int *result) { return this->testPerform(NULL, NULL, ulSessionId, cmd, sPerform, result); }
        /// Web service synchronous operation 'testPerform' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int testPerform(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const char *cmd, const struct testPerformArgs& sPerform, unsigned int *result) { return this->send_testPerform(soap_endpoint_url, soap_action, ulSessionId, cmd, sPerform) || this->recv_testPerform(result) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_testPerform' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_testPerform(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const char *cmd, const struct testPerformArgs& sPerform);
        /// Web service asynchronous operation 'recv_testPerform' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_testPerform(unsigned int *result);
        //
        /// Web service synchronous operation 'testSet' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int testSet(ULONG64 ulSessionId, const char *name, const char *value, unsigned int *result) { return this->testSet(NULL, NULL, ulSessionId, name, value, result); }
        /// Web service synchronous operation 'testSet' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int testSet(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const char *name, const char *value, unsigned int *result) { return this->send_testSet(soap_endpoint_url, soap_action, ulSessionId, name, value) || this->recv_testSet(result) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_testSet' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_testSet(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const char *name, const char *value);
        /// Web service asynchronous operation 'recv_testSet' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_testSet(unsigned int *result);
        //
        /// Web service synchronous operation 'testGet' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int testGet(ULONG64 ulSessionId, const char *name, struct testGetResponse *lpsResponse) { return this->testGet(NULL, NULL, ulSessionId, name, lpsResponse); }
        /// Web service synchronous operation 'testGet' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int testGet(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const char *name, struct testGetResponse *lpsResponse) { return this->send_testGet(soap_endpoint_url, soap_action, ulSessionId, name) || this->recv_testGet(lpsResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_testGet' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_testGet(const char *soap_endpoint_url, const char *soap_action, ULONG64 ulSessionId, const char *name);
        /// Web service asynchronous operation 'recv_testGet' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_testGet(struct testGetResponse *lpsResponse);
        //
        /// Web service synchronous operation 'getClientUpdate' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int getClientUpdate(const struct clientUpdateInfoRequest& sClientUpdateInfo, struct clientUpdateResponse *lpsResponse) { return this->getClientUpdate(NULL, NULL, sClientUpdateInfo, lpsResponse); }
        /// Web service synchronous operation 'getClientUpdate' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int getClientUpdate(const char *soap_endpoint_url, const char *soap_action, const struct clientUpdateInfoRequest& sClientUpdateInfo, struct clientUpdateResponse *lpsResponse) { return this->send_getClientUpdate(soap_endpoint_url, soap_action, sClientUpdateInfo) || this->recv_getClientUpdate(lpsResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_getClientUpdate' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_getClientUpdate(const char *soap_endpoint_url, const char *soap_action, const struct clientUpdateInfoRequest& sClientUpdateInfo);
        /// Web service asynchronous operation 'recv_getClientUpdate' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_getClientUpdate(struct clientUpdateResponse *lpsResponse);
        //
        /// Web service synchronous operation 'setClientUpdateStatus' with default endpoint and default SOAP Action header, returns SOAP_OK or error code
        virtual int setClientUpdateStatus(const struct clientUpdateStatusRequest& sClientUpdateStatus, struct clientUpdateStatusResponse *lpsResponse) { return this->setClientUpdateStatus(NULL, NULL, sClientUpdateStatus, lpsResponse); }
        /// Web service synchronous operation 'setClientUpdateStatus' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int setClientUpdateStatus(const char *soap_endpoint_url, const char *soap_action, const struct clientUpdateStatusRequest& sClientUpdateStatus, struct clientUpdateStatusResponse *lpsResponse) { return this->send_setClientUpdateStatus(soap_endpoint_url, soap_action, sClientUpdateStatus) || this->recv_setClientUpdateStatus(lpsResponse) ? this->soap->error : SOAP_OK; }
        /// Web service asynchronous operation 'send_setClientUpdateStatus' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code
        virtual int send_setClientUpdateStatus(const char *soap_endpoint_url, const char *soap_action, const struct clientUpdateStatusRequest& sClientUpdateStatus);
        /// Web service asynchronous operation 'recv_setClientUpdateStatus' to receive a response message from the connected endpoint, returns SOAP_OK or error code
        virtual int recv_setClientUpdateStatus(struct clientUpdateStatusResponse *lpsResponse);
    };
#endif
