/* soapKCmdService.h
   Generated by gSOAP 2.8.102 for ../provider/include/proto.h

gSOAP XML Web services tools
Copyright (C) 2000-2020, Robert van Engelen, Genivia Inc. All Rights Reserved.
The soapcpp2 tool and its generated software are released under the GPL.
This program is released under the GPL with the additional exemption that
compiling, linking, and/or using OpenSSL is allowed.
--------------------------------------------------------------------------------
A commercial use license is available from Genivia Inc., contact@genivia.com
--------------------------------------------------------------------------------
*/

#ifndef soapKCmdService_H
#define soapKCmdService_H
#include "soapH.h"

    class SOAP_CMAC KCmdService {
      public:
        /// Context to manage service IO and data
        struct soap *soap;
        /// flag indicating that this context is owned by this service and should be deleted by the destructor
        bool soap_own;
        /// Variables globally declared in ../provider/include/proto.h, if any
        /// Construct a service with new managing context
        KCmdService();
        /// Copy constructor
        KCmdService(const KCmdService&);
        /// Construct service given a shared managing context
        KCmdService(struct soap*);
        /// Constructor taking input+output mode flags for the new managing context
        KCmdService(soap_mode iomode);
        /// Constructor taking input and output mode flags for the new managing context
        KCmdService(soap_mode imode, soap_mode omode);
        /// Destructor deletes deserialized data and its managing context, when the context was allocated by the constructor
        virtual ~KCmdService();
        /// Delete all deserialized data (with soap_destroy() and soap_end())
        virtual void destroy();
        /// Delete all deserialized data and reset to defaults
        virtual void reset();
        /// Initializer used by constructors
        virtual void KCmdService_init(soap_mode imode, soap_mode omode);
        /// Return a copy that has a new managing context with the same engine state
        virtual KCmdService *copy() SOAP_PURE_VIRTUAL_COPY;
        /// Copy assignment
        KCmdService& operator=(const KCmdService&);
        /// Close connection (normally automatic)
        virtual int soap_close_socket();
        /// Force close connection (can kill a thread blocked on IO)
        virtual int soap_force_close_socket();
        /// Return sender-related fault to sender
        virtual int soap_senderfault(const char *string, const char *detailXML);
        /// Return sender-related fault with SOAP 1.2 subcode to sender
        virtual int soap_senderfault(const char *subcodeQName, const char *string, const char *detailXML);
        /// Return receiver-related fault to sender
        virtual int soap_receiverfault(const char *string, const char *detailXML);
        /// Return receiver-related fault with SOAP 1.2 subcode to sender
        virtual int soap_receiverfault(const char *subcodeQName, const char *string, const char *detailXML);
        /// Print fault
        virtual void soap_print_fault(FILE*);
    #ifndef WITH_LEAN
    #ifndef WITH_COMPAT
        /// Print fault to stream
        virtual void soap_stream_fault(std::ostream&);
    #endif
        /// Write fault to buffer
        virtual char *soap_sprint_fault(char *buf, size_t len);
    #endif
        /// Disables and removes SOAP Header from message by setting soap->header = NULL
        virtual void soap_noheader();
        /// Get SOAP Header structure (i.e. soap->header, which is NULL when absent)
        virtual ::SOAP_ENV__Header *soap_header();
    #ifndef WITH_NOIO
        /// Run simple single-thread (iterative, non-SSL) service on port until a connection error occurs (returns SOAP_OK or error code), use this->bind_flag = SO_REUSEADDR to rebind for immediate rerun
        virtual int run(int port, int backlog = 1);
    #if defined(WITH_OPENSSL) || defined(WITH_GNUTLS)
        /// Run simple single-thread SSL service on port until a connection error occurs (returns SOAP_OK or error code), use this->bind_flag = SO_REUSEADDR to rebind for immediate rerun
        virtual int ssl_run(int port, int backlog = 1);
    #endif
        /// Bind service to port (returns master socket or SOAP_INVALID_SOCKET upon error)
        virtual SOAP_SOCKET bind(const char *host, int port, int backlog);
        /// Accept next request (returns socket or SOAP_INVALID_SOCKET upon error)
        virtual SOAP_SOCKET accept();
    #if defined(WITH_OPENSSL) || defined(WITH_GNUTLS)
        /// When SSL is used, after accept() should perform and accept SSL handshake
        virtual int ssl_accept();
    #endif
    #endif
        /// After accept() serve the pending request (returns SOAP_OK or error code)
        virtual int serve();
        /// Used by serve() to dispatch a pending request (returns SOAP_OK or error code)
        virtual int dispatch();
        virtual int dispatch(struct soap *soap);
        //
        // Service operations are listed below: you should define these
        // Note: compile with -DWITH_PURE_VIRTUAL to declare pure virtual methods
        //
        /// Web service operation 'logon' implementation, should return SOAP_OK or error code
        virtual int logon(const char *szUsername, const char *szPassword, const char *szImpersonateUser, const char *szVersion, unsigned int ulCapabilities, unsigned int ulFlags, const struct xsd__base64Binary& sLicenseReq, ULONG64 ullSessionGroup, const char *szClientApp, const char *szClientAppVersion, const char *szClientAppMisc, struct logonResponse *lpsLogonResponse) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'ssoLogon' implementation, should return SOAP_OK or error code
        virtual int ssoLogon(ULONG64 ulSessionId, const char *szUsername, const char *szImpersonateUser, struct xsd__base64Binary *lpInput, const char *clientVersion, unsigned int clientCaps, const struct xsd__base64Binary& sLicenseReq, ULONG64 ullSessionGroup, const char *szClientApp, const char *szClientAppVersion, const char *szClientAppMisc, struct ssoLogonResponse *lpsResponse) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'getStore' implementation, should return SOAP_OK or error code
        virtual int getStore(ULONG64 ulSessionId, struct xsd__base64Binary *lpsEntryId, struct getStoreResponse *lpsResponse) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'getStoreName' implementation, should return SOAP_OK or error code
        virtual int getStoreName(ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, struct getStoreNameResponse *lpsResponse) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'getStoreType' implementation, should return SOAP_OK or error code
        virtual int getStoreType(ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, struct getStoreTypeResponse *lpsResponse) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'getPublicStore' implementation, should return SOAP_OK or error code
        virtual int getPublicStore(ULONG64 ulSessionId, unsigned int ulFlags, struct getStoreResponse *lpsResponse) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'logoff' implementation, should return SOAP_OK or error code
        virtual int logoff(ULONG64 ulSessionId, unsigned int *result) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'getRights' implementation, should return SOAP_OK or error code
        virtual int getRights(ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, int ulType, struct rightsResponse *lpsRightResponse) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'setRights' implementation, should return SOAP_OK or error code
        virtual int setRights(ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, struct rightsArray *lpsrightsArray, unsigned int *result) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'loadProp' implementation, should return SOAP_OK or error code
        virtual int loadProp(ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, unsigned int ulObjId, unsigned int ulPropTag, struct loadPropResponse *lpsResponse) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'saveObject' implementation, should return SOAP_OK or error code
        virtual int saveObject(ULONG64 ulSessionId, const struct xsd__base64Binary& sParentEntryId, const struct xsd__base64Binary& sEntryId, struct saveObject *lpsSaveObj, unsigned int ulFlags, unsigned int ulSyncId, struct loadObjectResponse *lpsLoadObjectResponse) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'loadObject' implementation, should return SOAP_OK or error code
        virtual int loadObject(ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, struct notifySubscribe *lpsNotSubscribe, unsigned int ulFlags, struct loadObjectResponse *lpsLoadObjectResponse) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'createFolder' implementation, should return SOAP_OK or error code
        virtual int createFolder(ULONG64 ulSessionId, const struct xsd__base64Binary& sParentId, struct xsd__base64Binary *lpsNewEntryId, unsigned int ulType, const char *szName, const char *szComment, bool fOpenIfExists, unsigned int ulSyncId, const struct xsd__base64Binary& sOrigSourceKey, struct createFolderResponse *lpsCreateFolderResponse) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'create-folders' implementation, should return SOAP_OK or error code
        virtual int create_folders(ULONG64 session_id, const struct xsd__base64Binary& parent_eid, const struct new_folder_set& batch, struct create_folders_response *response) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'deleteObjects' implementation, should return SOAP_OK or error code
        virtual int deleteObjects(ULONG64 ulSessionId, unsigned int ulFlags, struct entryList *aMessages, unsigned int ulSyncId, unsigned int *result) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'copyObjects' implementation, should return SOAP_OK or error code
        virtual int copyObjects(ULONG64 ulSessionId, struct entryList *aMessages, const struct xsd__base64Binary& sDestFolderId, unsigned int ulFlags, unsigned int ulSyncId, unsigned int *result) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'emptyFolder' implementation, should return SOAP_OK or error code
        virtual int emptyFolder(ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, unsigned int ulFlags, unsigned int ulSyncId, unsigned int *result) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'deleteFolder' implementation, should return SOAP_OK or error code
        virtual int deleteFolder(ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, unsigned int ulFlags, unsigned int ulSyncId, unsigned int *result) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'copyFolder' implementation, should return SOAP_OK or error code
        virtual int copyFolder(ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, const struct xsd__base64Binary& sDestFolderId, const char *lpszNewFolderName, unsigned int ulFlags, unsigned int ulSyncId, unsigned int *result) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'setReadFlags' implementation, should return SOAP_OK or error code
        virtual int setReadFlags(ULONG64 ulSessionId, unsigned int ulFlags, struct xsd__base64Binary *lpsEntryId, struct entryList *lpMessages, unsigned int ulSyncId, unsigned int *result) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'setReceiveFolder' implementation, should return SOAP_OK or error code
        virtual int setReceiveFolder(ULONG64 ulSessionId, const struct xsd__base64Binary& sStoreId, struct xsd__base64Binary *lpsEntryId, const char *lpszMessageClass, unsigned int *result) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'getReceiveFolder' implementation, should return SOAP_OK or error code
        virtual int getReceiveFolder(ULONG64 ulSessionId, const struct xsd__base64Binary& sStoreId, const char *lpszMessageClass, struct receiveFolderResponse *lpsReceiveFolder) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'getReceiveFolderTable' implementation, should return SOAP_OK or error code
        virtual int getReceiveFolderTable(ULONG64 ulSessionId, const struct xsd__base64Binary& sStoreId, struct receiveFolderTableResponse *lpsReceiveFolderTable) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'getMessageStatus' implementation, should return SOAP_OK or error code
        virtual int getMessageStatus(ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, unsigned int ulFlags, struct messageStatus *lpsStatus) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'setMessageStatus' implementation, should return SOAP_OK or error code
        virtual int setMessageStatus(ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, unsigned int ulNewStatus, unsigned int ulNewStatusMask, unsigned int ulSyncId, struct messageStatus *lpsOldStatus) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'getIDsFromNames' implementation, should return SOAP_OK or error code
        virtual int getIDsFromNames(ULONG64 ulSessionId, struct namedPropArray *lpsNamedProps, unsigned int ulFlags, struct getIDsFromNamesResponse *lpsResponse) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'getNamesFromIDs' implementation, should return SOAP_OK or error code
        virtual int getNamesFromIDs(ULONG64 ulSessionId, struct propTagArray *lpsPropTags, struct getNamesFromIDsResponse *lpsResponse) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'notify' implementation, should return SOAP_OK or error code
        virtual int notify(ULONG64 ulSessionId, const struct notification& sNotification, unsigned int *er) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'notifySubscribe' implementation, should return SOAP_OK or error code
        virtual int notifySubscribe(ULONG64 ulSessionId, struct notifySubscribe *notifySubscribe, unsigned int *result) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'notifySubscribeMulti' implementation, should return SOAP_OK or error code
        virtual int notifySubscribeMulti(ULONG64 ulSessionId, struct notifySubscribeArray *notifySubscribeArray, unsigned int *result) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'notifyUnSubscribe' implementation, should return SOAP_OK or error code
        virtual int notifyUnSubscribe(ULONG64 ulSessionId, unsigned int ulConnection, unsigned int *result) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'notifyUnSubscribeMulti' implementation, should return SOAP_OK or error code
        virtual int notifyUnSubscribeMulti(ULONG64 ulSessionId, struct mv_long *ulConnectionArray, unsigned int *result) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'notifyGetItems' implementation, should return SOAP_OK or error code
        virtual int notifyGetItems(ULONG64 ulSessionId, struct notifyResponse *notifications) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'tableOpen' implementation, should return SOAP_OK or error code
        virtual int tableOpen(ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, unsigned int ulTableType, unsigned int ulType, unsigned int ulFlags, struct tableOpenResponse *lpsTableOpenResponse) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'tableClose' implementation, should return SOAP_OK or error code
        virtual int tableClose(ULONG64 ulSessionId, unsigned int ulTableId, unsigned int *result) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'tableSetColumns' implementation, should return SOAP_OK or error code
        virtual int tableSetColumns(ULONG64 ulSessionId, unsigned int ulTableId, struct propTagArray *aPropTag, unsigned int *result) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'tableQueryColumns' implementation, should return SOAP_OK or error code
        virtual int tableQueryColumns(ULONG64 ulSessionId, unsigned int ulTableId, unsigned int ulFlags, struct tableQueryColumnsResponse *lpsTableQueryColumnsResponse) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'tableSort' implementation, should return SOAP_OK or error code
        virtual int tableSort(ULONG64 ulSessionId, unsigned int ulTableId, struct sortOrderArray *aSortOrder, unsigned int ulCategories, unsigned int ulExpanded, unsigned int *result) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'tableRestrict' implementation, should return SOAP_OK or error code
        virtual int tableRestrict(ULONG64 ulSessionId, unsigned int ulTableId, struct restrictTable *lpRestrict, unsigned int *result) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'tableGetRowCount' implementation, should return SOAP_OK or error code
        virtual int tableGetRowCount(ULONG64 ulSessionId, unsigned int ulTableId, struct tableGetRowCountResponse *lpsTableGetRowCountResponse) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'tableQueryRows' implementation, should return SOAP_OK or error code
        virtual int tableQueryRows(ULONG64 ulSessionId, unsigned int ulTableId, unsigned int ulRowCount, unsigned int ulFlags, struct tableQueryRowsResponse *lpsQueryRowsResponse) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'tableFindRow' implementation, should return SOAP_OK or error code
        virtual int tableFindRow(ULONG64 ulSessionId, unsigned int ulTableId, unsigned int ulBookmark, unsigned int ulFlags, struct restrictTable *lpsRestrict, unsigned int *result) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'tableSeekRow' implementation, should return SOAP_OK or error code
        virtual int tableSeekRow(ULONG64 ulSessionId, unsigned int ulTableId, unsigned int ulBookmark, int lRowCount, struct tableSeekRowResponse *lpsResponse) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'tableCreateBookmark' implementation, should return SOAP_OK or error code
        virtual int tableCreateBookmark(ULONG64 ulSessionId, unsigned int ulTableId, struct tableBookmarkResponse *lpsResponse) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'tableFreeBookmark' implementation, should return SOAP_OK or error code
        virtual int tableFreeBookmark(ULONG64 ulSessionId, unsigned int ulTableId, unsigned int ulbkPosition, unsigned int *result) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'tableSetSearchCriteria' implementation, should return SOAP_OK or error code
        virtual int tableSetSearchCriteria(ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, struct restrictTable *lpRestrict, struct entryList *lpFolders, unsigned int ulFlags, unsigned int *result) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'tableGetSearchCriteria' implementation, should return SOAP_OK or error code
        virtual int tableGetSearchCriteria(ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, struct tableGetSearchCriteriaResponse *lpsResponse) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'tableExpandRow' implementation, should return SOAP_OK or error code
        virtual int tableExpandRow(ULONG64 ulSessionId, unsigned int ulTableId, const struct xsd__base64Binary& sInstanceKey, unsigned int ulRowCount, unsigned int ulFlags, struct tableExpandRowResponse *lpsTableExpandRowResponse) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'tableCollapseRow' implementation, should return SOAP_OK or error code
        virtual int tableCollapseRow(ULONG64 ulSessionId, unsigned int ulTableId, const struct xsd__base64Binary& sInstanceKey, unsigned int ulFlags, struct tableCollapseRowResponse *lpsTableCollapseRowResponse) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'tableGetCollapseState' implementation, should return SOAP_OK or error code
        virtual int tableGetCollapseState(ULONG64 ulSessionId, unsigned int ulTableId, const struct xsd__base64Binary& sBookmark, struct tableGetCollapseStateResponse *lpsResponse) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'tableSetCollapseState' implementation, should return SOAP_OK or error code
        virtual int tableSetCollapseState(ULONG64 ulSessionId, unsigned int ulTableId, const struct xsd__base64Binary& sCollapseState, struct tableSetCollapseStateResponse *lpsResponse) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'tableMulti' implementation, should return SOAP_OK or error code
        virtual int tableMulti(ULONG64 ulSessionId, const struct tableMultiRequest& sRequest, struct tableMultiResponse *lpsResponse) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'submitMessage' implementation, should return SOAP_OK or error code
        virtual int submitMessage(ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, unsigned int ulFlags, unsigned int *result) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'finishedMessage' implementation, should return SOAP_OK or error code
        virtual int finishedMessage(ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, unsigned int ulFlags, unsigned int *result) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'abortSubmit' implementation, should return SOAP_OK or error code
        virtual int abortSubmit(ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, unsigned int *result) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'resolveStore' implementation, should return SOAP_OK or error code
        virtual int resolveStore(ULONG64 ulSessionId, const struct xsd__base64Binary& sStoreGuid, struct resolveUserStoreResponse *lpsResponse) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'resolveUserStore' implementation, should return SOAP_OK or error code
        virtual int resolveUserStore(ULONG64 ulSessionId, const char *szUserName, unsigned int ulStoreTypeMask, unsigned int ulFlags, struct resolveUserStoreResponse *lpsResponse) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'createUser' implementation, should return SOAP_OK or error code
        virtual int createUser(ULONG64 ulSessionId, struct user *lpsUser, struct setUserResponse *lpsUserSetResponse) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'deleteUser' implementation, should return SOAP_OK or error code
        virtual int deleteUser(ULONG64 ulSessionId, unsigned int ulUserId, const struct xsd__base64Binary& sUserId, unsigned int *result) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'removeAllObjects' implementation, should return SOAP_OK or error code
        virtual int removeAllObjects(ULONG64 ulSessionId, const struct xsd__base64Binary& sExceptUserId, unsigned int *result) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'getUser' implementation, should return SOAP_OK or error code
        virtual int getUser(ULONG64 ulSessionId, unsigned int ulUserId, const struct xsd__base64Binary& sUserId, struct getUserResponse *lpsUserGetResponse) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'setUser' implementation, should return SOAP_OK or error code
        virtual int setUser(ULONG64 ulSessionId, struct user *lpsUser, unsigned int *result) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'getUserList' implementation, should return SOAP_OK or error code
        virtual int getUserList(ULONG64 ulSessionId, unsigned int ulCompanyId, const struct xsd__base64Binary& sCompanyId, struct userListResponse *lpsUserList) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'getSendAsList' implementation, should return SOAP_OK or error code
        virtual int getSendAsList(ULONG64 ulSessionId, unsigned int ulUserId, const struct xsd__base64Binary& sUserId, struct userListResponse *lpsUserList) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'addSendAsUser' implementation, should return SOAP_OK or error code
        virtual int addSendAsUser(ULONG64 ulSessionId, unsigned int ulUserId, const struct xsd__base64Binary& sUserId, unsigned int ulSenderId, const struct xsd__base64Binary& sSenderId, unsigned int *result) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'delSendAsUser' implementation, should return SOAP_OK or error code
        virtual int delSendAsUser(ULONG64 ulSessionId, unsigned int ulUserId, const struct xsd__base64Binary& sUserId, unsigned int ulSenderId, const struct xsd__base64Binary& sSenderId, unsigned int *result) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'getUserClientUpdateStatus' implementation, should return SOAP_OK or error code
        virtual int getUserClientUpdateStatus(ULONG64 ulSessionId, const struct xsd__base64Binary& sUserId, struct userClientUpdateStatusResponse *lpsResponse) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'purgeSoftDelete' implementation, should return SOAP_OK or error code
        virtual int purgeSoftDelete(ULONG64 ulSessionId, unsigned int ulDays, unsigned int *result) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'purgeDeferredUpdates' implementation, should return SOAP_OK or error code
        virtual int purgeDeferredUpdates(ULONG64 ulSessionId, struct purgeDeferredUpdatesResponse *lpsResponse) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'purgeCache' implementation, should return SOAP_OK or error code
        virtual int purgeCache(ULONG64 ulSessionId, unsigned int ulFlags, unsigned int *result) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'createStore' implementation, should return SOAP_OK or error code
        virtual int createStore(ULONG64 ulSessionId, unsigned int ulStoreType, unsigned int ulUserId, const struct xsd__base64Binary& sUserId, const struct xsd__base64Binary& sStoreId, const struct xsd__base64Binary& sRootId, unsigned int ulFlags, unsigned int *result) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'removeStore' implementation, should return SOAP_OK or error code
        virtual int removeStore(ULONG64 ulSessionId, const struct xsd__base64Binary& sStoreGuid, unsigned int ulSyncId, unsigned int *result) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'hookStore' implementation, should return SOAP_OK or error code
        virtual int hookStore(ULONG64 ulSessionId, unsigned int ulStoreType, const struct xsd__base64Binary& sUserId, const struct xsd__base64Binary& sStoreGuid, unsigned int ulSyncId, unsigned int *result) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'unhookStore' implementation, should return SOAP_OK or error code
        virtual int unhookStore(ULONG64 ulSessionId, unsigned int ulStoreType, const struct xsd__base64Binary& sUserId, unsigned int ulSyncId, unsigned int *result) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'getOwner' implementation, should return SOAP_OK or error code
        virtual int getOwner(ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, struct getOwnerResponse *lpsResponse) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'resolveUsername' implementation, should return SOAP_OK or error code
        virtual int resolveUsername(ULONG64 ulSessionId, const char *lpszUsername, struct resolveUserResponse *lpsResponse) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'createGroup' implementation, should return SOAP_OK or error code
        virtual int createGroup(ULONG64 ulSessionId, struct group *lpsGroup, struct setGroupResponse *lpsSetGroupResponse) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'setGroup' implementation, should return SOAP_OK or error code
        virtual int setGroup(ULONG64 ulSessionId, struct group *lpsGroup, unsigned int *result) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'getGroup' implementation, should return SOAP_OK or error code
        virtual int getGroup(ULONG64 ulSessionId, unsigned int ulGroupId, const struct xsd__base64Binary& sGroupId, struct getGroupResponse *lpsReponse) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'getGroupList' implementation, should return SOAP_OK or error code
        virtual int getGroupList(ULONG64 ulSessionId, unsigned int ulCompanyId, const struct xsd__base64Binary& sCompanyId, struct groupListResponse *lpsGroupList) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'groupDelete' implementation, should return SOAP_OK or error code
        virtual int groupDelete(ULONG64 ulSessionId, unsigned int ulGroupId, const struct xsd__base64Binary& sGroupId, unsigned int *result) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'resolveGroupname' implementation, should return SOAP_OK or error code
        virtual int resolveGroupname(ULONG64 ulSessionId, const char *lpszGroupname, struct resolveGroupResponse *lpsResponse) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'deleteGroupUser' implementation, should return SOAP_OK or error code
        virtual int deleteGroupUser(ULONG64 ulSessionId, unsigned int ulGroupId, const struct xsd__base64Binary& sGroupId, unsigned int ulUserId, const struct xsd__base64Binary& sUserId, unsigned int *result) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'addGroupUser' implementation, should return SOAP_OK or error code
        virtual int addGroupUser(ULONG64 ulSessionId, unsigned int ulGroupId, const struct xsd__base64Binary& sGroupId, unsigned int ulUserId, const struct xsd__base64Binary& sUserId, unsigned int *result) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'getUserListOfGroup' implementation, should return SOAP_OK or error code
        virtual int getUserListOfGroup(ULONG64 ulSessionId, unsigned int ulGroupId, const struct xsd__base64Binary& sGroupId, struct userListResponse *lpsUserList) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'getGroupListOfUser' implementation, should return SOAP_OK or error code
        virtual int getGroupListOfUser(ULONG64 ulSessionId, unsigned int ulUserId, const struct xsd__base64Binary& sUserId, struct groupListResponse *lpsGroupList) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'createCompany' implementation, should return SOAP_OK or error code
        virtual int createCompany(ULONG64 ulSessionId, struct company *lpsCompany, struct setCompanyResponse *lpsResponse) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'deleteCompany' implementation, should return SOAP_OK or error code
        virtual int deleteCompany(ULONG64 ulSessionId, unsigned int ulCompanyId, const struct xsd__base64Binary& sCompanyId, unsigned int *result) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'setCompany' implementation, should return SOAP_OK or error code
        virtual int setCompany(ULONG64 ulSessionId, struct company *lpsCompany, unsigned int *result) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'getCompany' implementation, should return SOAP_OK or error code
        virtual int getCompany(ULONG64 ulSessionId, unsigned int ulCompanyId, const struct xsd__base64Binary& sCompanyId, struct getCompanyResponse *lpsResponse) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'resolveCompanyname' implementation, should return SOAP_OK or error code
        virtual int resolveCompanyname(ULONG64 ulSessionId, const char *lpszCompanyname, struct resolveCompanyResponse *lpsResponse) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'getCompanyList' implementation, should return SOAP_OK or error code
        virtual int getCompanyList(ULONG64 ulSessionId, struct companyListResponse *lpsCompanyList) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'addCompanyToRemoteViewList' implementation, should return SOAP_OK or error code
        virtual int addCompanyToRemoteViewList(ULONG64 ecSessionId, unsigned int ulSetCompanyId, const struct xsd__base64Binary& sSetCompanyId, unsigned int ulCompanyId, const struct xsd__base64Binary& sCompanyId, unsigned int *result) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'delCompanyFromRemoteViewList' implementation, should return SOAP_OK or error code
        virtual int delCompanyFromRemoteViewList(ULONG64 ecSessionId, unsigned int ulSetCompanyId, const struct xsd__base64Binary& sSetCompanyId, unsigned int ulCompanyId, const struct xsd__base64Binary& sCompanyId, unsigned int *result) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'getRemoteViewList' implementation, should return SOAP_OK or error code
        virtual int getRemoteViewList(ULONG64 ecSessionId, unsigned int ulCompanyId, const struct xsd__base64Binary& sCompanyId, struct companyListResponse *lpsCompanyList) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'addUserToRemoteAdminList' implementation, should return SOAP_OK or error code
        virtual int addUserToRemoteAdminList(ULONG64 ecSessionId, unsigned int ulUserId, const struct xsd__base64Binary& sUserId, unsigned int ulCompanyId, const struct xsd__base64Binary& sCompanyId, unsigned int *result) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'delUserFromRemoteAdminList' implementation, should return SOAP_OK or error code
        virtual int delUserFromRemoteAdminList(ULONG64 ecSessionId, unsigned int ulUserId, const struct xsd__base64Binary& sUserId, unsigned int ulCompanyId, const struct xsd__base64Binary& sCompanyId, unsigned int *result) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'getRemoteAdminList' implementation, should return SOAP_OK or error code
        virtual int getRemoteAdminList(ULONG64 ecSessionId, unsigned int ulCompanyId, const struct xsd__base64Binary& sCompanyId, struct userListResponse *lpsUserList) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'checkExistObject' implementation, should return SOAP_OK or error code
        virtual int checkExistObject(ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, unsigned int ulFlags, unsigned int *result) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'readABProps' implementation, should return SOAP_OK or error code
        virtual int readABProps(ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, struct readPropsResponse *readPropsResponse) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'abResolveNames' implementation, should return SOAP_OK or error code
        virtual int abResolveNames(ULONG64 ulSessionId, struct propTagArray *lpaPropTag, struct rowSet *lpsRowSet, struct flagArray *lpaFlags, unsigned int ulFlags, struct abResolveNamesResponse *lpsABResolveNames) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'syncUsers' implementation, should return SOAP_OK or error code
        virtual int syncUsers(ULONG64 ulSessionId, unsigned int ulCompanyId, const struct xsd__base64Binary& sCompanyId, unsigned int *result) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'setLockState' implementation, should return SOAP_OK or error code
        virtual int setLockState(ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, bool bLocked, unsigned int *result) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'resetFolderCount' implementation, should return SOAP_OK or error code
        virtual int resetFolderCount(ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, struct resetFolderCountResponse *lpsResponse) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'GetQuota' implementation, should return SOAP_OK or error code
        virtual int GetQuota(ULONG64 ulSessionId, unsigned int ulUserid, const struct xsd__base64Binary& sUserId, bool bGetUserDefault, struct quotaResponse *lpsQuota) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'SetQuota' implementation, should return SOAP_OK or error code
        virtual int SetQuota(ULONG64 ulSessionId, unsigned int ulUserid, const struct xsd__base64Binary& sUserId, struct quota *lpsQuota, unsigned int *result) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'AddQuotaRecipient' implementation, should return SOAP_OK or error code
        virtual int AddQuotaRecipient(ULONG64 ulSessionId, unsigned int ulCompanyid, const struct xsd__base64Binary& sCompanyId, unsigned int ulRecipientId, const struct xsd__base64Binary& sRecipientId, unsigned int ulType, unsigned int *result) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'DeleteQuotaRecipient' implementation, should return SOAP_OK or error code
        virtual int DeleteQuotaRecipient(ULONG64 ulSessionId, unsigned int ulCompanyid, const struct xsd__base64Binary& sCompanyId, unsigned int ulRecipientId, const struct xsd__base64Binary& sRecipientId, unsigned int ulType, unsigned int *result) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'GetQuotaRecipients' implementation, should return SOAP_OK or error code
        virtual int GetQuotaRecipients(ULONG64 ulSessionId, unsigned int ulUserid, const struct xsd__base64Binary& sUserId, struct userListResponse *lpsResponse) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'GetQuotaStatus' implementation, should return SOAP_OK or error code
        virtual int GetQuotaStatus(ULONG64 ulSessionId, unsigned int ulUserid, const struct xsd__base64Binary& sUserId, struct quotaStatus *lpsQuotaStatus) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'getChanges' implementation, should return SOAP_OK or error code
        virtual int getChanges(ULONG64 ulSessionId, const struct xsd__base64Binary& sSourceKeyFolder, unsigned int ulSyncId, unsigned int ulChangeId, unsigned int ulChangeType, unsigned int ulFlags, struct restrictTable *lpsRestrict, struct icsChangeResponse *lpsChanges) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'setSyncStatus' implementation, should return SOAP_OK or error code
        virtual int setSyncStatus(ULONG64 ulSessionId, const struct xsd__base64Binary& sSourceKeyFolder, unsigned int ulSyncId, unsigned int ulChangeId, unsigned int ulChangeType, unsigned int ulFlags, struct setSyncStatusResponse *lpsResponse) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'getEntryIDFromSourceKey' implementation, should return SOAP_OK or error code
        virtual int getEntryIDFromSourceKey(ULONG64 ulSessionId, const struct xsd__base64Binary& sStoreId, const struct xsd__base64Binary& folderSourceKey, const struct xsd__base64Binary& messageSourceKey, struct getEntryIDFromSourceKeyResponse *lpsResponse) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'getSyncStates' implementation, should return SOAP_OK or error code
        virtual int getSyncStates(ULONG64 ulSessionId, const struct mv_long& ulaSyncId, struct getSyncStatesReponse *lpsResponse) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'getLicenseAuth' implementation, should return SOAP_OK or error code
        virtual int getLicenseAuth(ULONG64 ulSessionId, const struct xsd__base64Binary& sAuthData, struct getLicenseAuthResponse *lpsResponse) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'resolvePseudoUrl' implementation, should return SOAP_OK or error code
        virtual int resolvePseudoUrl(ULONG64 ulSessionId, const char *lpszPseudoUrl, struct resolvePseudoUrlResponse *lpsResponse) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'getServerDetails' implementation, should return SOAP_OK or error code
        virtual int getServerDetails(ULONG64 ulSessionId, const struct mv_string8& szaSvrNameList, unsigned int ulFlags, struct getServerDetailsResponse *lpsResponse) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'exportMessageChangesAsStream' implementation, should return SOAP_OK or error code
        virtual int exportMessageChangesAsStream(ULONG64 ulSessionId, unsigned int ulFlags, const struct propTagArray& sPropTags, const struct sourceKeyPairArray& _param_1, unsigned int ulPropTag, struct exportMessageChangesAsStreamResponse *lpsResponse) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'importMessageFromStream' implementation, should return SOAP_OK or error code
        virtual int importMessageFromStream(ULONG64 ulSessionId, unsigned int ulFlags, unsigned int ulSyncId, const struct xsd__base64Binary& sParentEntryId, const struct xsd__base64Binary& sEntryId, bool bIsNew, struct propVal *lpsConflictItems, const struct xsd__Binary& sStreamData, unsigned int *result) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'getChangeInfo' implementation, should return SOAP_OK or error code
        virtual int getChangeInfo(ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, struct getChangeInfoResponse *lpsResponse) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'testPerform' implementation, should return SOAP_OK or error code
        virtual int testPerform(ULONG64 ulSessionId, const char *cmd, const struct testPerformArgs& sPerform, unsigned int *result) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'testSet' implementation, should return SOAP_OK or error code
        virtual int testSet(ULONG64 ulSessionId, const char *name, const char *value, unsigned int *result) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'testGet' implementation, should return SOAP_OK or error code
        virtual int testGet(ULONG64 ulSessionId, const char *name, struct testGetResponse *lpsResponse) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'getClientUpdate' implementation, should return SOAP_OK or error code
        virtual int getClientUpdate(const struct clientUpdateInfoRequest& sClientUpdateInfo, struct clientUpdateResponse *lpsResponse) SOAP_PURE_VIRTUAL;
        //
        /// Web service operation 'setClientUpdateStatus' implementation, should return SOAP_OK or error code
        virtual int setClientUpdateStatus(const struct clientUpdateStatusRequest& sClientUpdateStatus, struct clientUpdateStatusResponse *lpsResponse) SOAP_PURE_VIRTUAL;
    };
#endif
